"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PromiseTimeout = void 0;
class PromiseTimeout {
}
exports.PromiseTimeout = PromiseTimeout;
PromiseTimeout.promiseTimeout = function (ms, promise) {
    let clear;
    // Create a promise that rejects in <ms> milliseconds
    let timeout = new Promise((resolve, reject) => {
        let id = setTimeout(() => {
            clearTimeout(id);
            reject('Timed out in ' + ms + 'ms.');
            clear = () => { };
        }, ms);
        clear = () => {
            clearTimeout(id);
            resolve();
        };
    });
    // Returns a race between our timeout and the passed in promise
    return Promise.race([
        promise,
        timeout
    ]).then((res) => {
        clear();
        return res;
    });
};
