"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TextGuid = void 0;
const bigInt = require("big-integer");
class TextGuid {
    // converts 18 character ASCII strings into 128 bit numbers then to Guid style
    static convertToHex(st, l) {
        let bits = bigInt();
        for (let i = 0; i < l; i++) {
            const c = st.charCodeAt(i) & 0x7F;
            bits = bits.shiftLeft(7).or(c);
        }
        return bits.toString(16).padStart(14, '0');
    }
    static convertFromHex(st, l) {
        let bits = bigInt(st, 16);
        let r = "";
        for (let i = 0; i < l; i++) {
            const cb = bits.and(0x7F).toJSNumber();
            bits = bits.shiftRight(7);
            if (cb >= 20) {
                r = String.fromCharCode(cb) + r;
            }
        }
        return r;
    }
    static fromString(st) {
        const hx = this.convertToHex(st, 18);
        return hx.substr(0, 8) + "-" + hx.substr(8, 4) + "-" + hx.substr(12, 4) + "-"
            + hx.substr(16, 4) + "-" + hx.substr(20, 12);
    }
    static toString(st) {
        const rh = st.replace(/-/g, "");
        return this.convertFromHex(rh, 18);
    }
}
exports.TextGuid = TextGuid;
