"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TransatsSchedule = void 0;
const _ = require("lodash");
const amppPlayout_1 = require("./amppPlayout");
const schedule_1 = require("../schedule");
class TransatsSchedule {
    constructor(amppJson) {
        this.ampp = amppJson;
    }
    getSchedule(channel, scheduleType) {
        const events = [];
        const schedule = new schedule_1.Schedule(channel, events, this.ampp.name, scheduleType, {
            origin: this.ampp.origin,
            start: amppPlayout_1.Ampp.amppTimeToBDateTime(this.ampp.startTime),
            custom: _.omit(this.ampp, ['payload', 'items', 'id', 'name', 'startTime'])
        });
        schedule.scheduleId = this.ampp.id;
        return schedule;
    }
}
exports.TransatsSchedule = TransatsSchedule;
