"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Counter = void 0;
const CounterMode_1 = require("./CounterMode");
const BDateTime_1 = require("./BDateTime");
class Counter {
    static fromJson(jo) {
        return new Counter(new CounterMode_1.CounterMode(jo.mode), BDateTime_1.BDateTime.fromJson(jo.reference));
    }
    constructor(mode, reference, rate = 1, autoStop) {
        this.mode = mode;
        this.reference = reference;
        this.autoStop = autoStop;
        this.countFrames = 0;
        this.rate = rate;
    }
    toJson() {
        const result = {};
        result.mode = this.mode.getLabel();
        result.reference = this.reference.toJson();
        return result;
    }
    getOffset(nowTime) {
        if (this.mode.getLabel() === "countDown") {
            this.countFrames = this.framesDifference(nowTime) * this.rate;
        }
        else if (this.mode.getLabel() === "countDownToZero") {
            this.countFrames = this.framesDifference(nowTime);
            if (this.autoStop && this.autoStop.getFrames() + this.countFrames < 0) {
                this.mode = new CounterMode_1.CounterMode("stopped");
                this.countFrames = this.autoStop.getFrames() * -1 * this.rate;
            }
        }
        else if (this.mode.getLabel() === "countUp") {
            this.countFrames = this.framesDifference(nowTime) * -1 * this.rate;
        }
        return this.countFrames;
    }
    framesDifference(nowTime) {
        return this.reference.framesDifference(nowTime);
    }
}
exports.Counter = Counter;
