"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AbstractProvider = void 0;
const Provider_1 = require("./Provider");
class AbstractProvider {
    constructor() {
        this.controlProceesor = async (msg) => {
            let result;
            const messageName = msg.getMessageName();
            if (this.control[messageName]) {
                result = await this.control[messageName](msg);
            }
            else {
                result = this.makeControlReplyNak(msg, `Message not implemented: ${messageName}`);
            }
            return result;
        };
        this.init();
    }
    async init() {
        this.provider = await Provider_1.Provider.makeProvider(this.controlProceesor);
    }
    makeControlReply(incoming, params) {
        return this.provider.makeControlReply(incoming, params);
    }
    makeControlReplyAck(incoming) {
        return this.provider.makeControlReplyAck(incoming);
    }
    makeControlReplyNak(incoming, reason) {
        return this.provider.makeControlReplyNak(incoming, reason);
    }
}
exports.AbstractProvider = AbstractProvider;
class GenericProvider extends AbstractProvider {
    constructor() {
        super(...arguments);
        this.control = {
            test: async (msg) => {
                return this.makeControlReply(msg, { world: "test" });
            },
            test2: async (msg) => {
                return this.makeControlReply(msg, { worlda: "test" });
            }
        };
    }
    test() {
        this.control.test;
    }
}
