"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DebugCommand = void 0;
const CliCommand_1 = require("../CliCommand");
const Debug = require("debug");
const CliCommandDescription_1 = require("../CliCommandDescription");
class DebugCommand extends CliCommand_1.CliCommand {
    constructor() {
        super(CliCommandDescription_1.CliCommandDescription.make("debug", "Get or Change debug namespaces being logged")
            .addBooleanParameter("colours", "enable coloured debug output", false, "trueFalse", true)
            .addStringParameter("set", "the debug namespaces to enable"));
        this.processCommand = async (params, _provider) => {
            const result = [];
            result.push(Debug.load());
            if (params.hasParam("set")) {
                let enable = params.getStringParamDefault("set", "");
                if (enable === "") {
                    enable = null;
                }
                Debug.enable(enable);
                result.push(Debug.load());
            }
            if (params.hasParam("colours")) {
                const enable = params.getStringParam("colours") === "t";
                const disable = params.getStringParam("colours") === "f";
                if (enable) {
                    Debug.inspectOpts.colors = true;
                }
                if (disable) {
                    Debug.inspectOpts.colors = false;
                }
            }
            return result;
        };
    }
}
exports.DebugCommand = DebugCommand;
