"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DescriptionCommand = void 0;
const CliCommand_1 = require("../CliCommand");
const lodash_1 = require("lodash");
const CliCommandDescription_1 = require("../CliCommandDescription");
class DescriptionCommand extends CliCommand_1.CliCommand {
    constructor(commands, commandProcessors) {
        super(CliCommandDescription_1.CliCommandDescription.make("??", "Get Command Description")
            .addStringParameter("c", "Command", false, ""));
        this.commands = commands;
        this.commandProcessors = commandProcessors;
        this.processCommand = async (params, _provider) => {
            let result = [];
            if (params.hasParam("c")) {
                const key = params.getStringParam("c");
                const command = this.commands[key]?.getCommandDescription() ?? this.commandProcessors[key]?.description;
                if (command) {
                    result.push(JSON.stringify(command.toJson(), null, 2));
                }
            }
            else {
                for (const key of (0, lodash_1.keys)(this.commands)) {
                    const command = this.commands[key];
                    if (command.getCommandDescription().getDescription()) {
                        result.push(key);
                    }
                }
                for (const key of (0, lodash_1.keys)(this.commandProcessors)) {
                    const command = this.commandProcessors[key];
                    if (command.description.getDescription()) {
                        result.push(key);
                    }
                }
            }
            return result;
        };
    }
}
exports.DescriptionCommand = DescriptionCommand;
