"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HelpCommand = void 0;
const CliCommand_1 = require("../CliCommand");
const lodash_1 = require("lodash");
const CliCommandDescription_1 = require("../CliCommandDescription");
class HelpCommand extends CliCommand_1.CliCommand {
    constructor(commands, commandProcessors) {
        super(CliCommandDescription_1.CliCommandDescription.make("?", "Displays help"));
        this.commands = commands;
        this.commandProcessors = commandProcessors;
        this.processCommand = async (_params, _provider) => {
            let result = [];
            for (const key of (0, lodash_1.keys)(this.commands)) {
                const command = this.commands[key];
                if (command.getCommandDescription().getDescription()) {
                    result = result.concat(command.getCommandDescription().getHelp());
                }
            }
            for (const key of (0, lodash_1.keys)(this.commandProcessors)) {
                const command = this.commandProcessors[key];
                if (command.description.getDescription()) {
                    result = result.concat(command.description.getHelp());
                }
            }
            return result;
        };
    }
}
exports.HelpCommand = HelpCommand;
