"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MemoryStatsCommand = void 0;
const CliCommand_1 = require("../CliCommand");
const CliCommandDescription_1 = require("../CliCommandDescription");
class MemoryStatsCommand extends CliCommand_1.CliCommand {
    constructor() {
        super(CliCommandDescription_1.CliCommandDescription.make("mem", "Displays memory statistics"));
        this.processCommand = async (_params, _provider) => {
            const result = [];
            const memory = process.memoryUsage();
            const mb = 1024 * 1024;
            //Print used memory
            result.push("Used Heap: " + (Math.round(memory.heapUsed / mb * 100) / 100) + " MB");
            //Print free memory
            result.push("Total Heap: " + (Math.round(memory.heapTotal / mb * 100) / 100) + " MB");
            //Print total available memory
            result.push("Total Memory: " + (Math.round(memory.rss / mb * 100) / 100) + " MB");
            //Print used memory
            result.push("External: " + (Math.round(memory.external / mb * 100) / 100) + " MB");
            return result;
        };
    }
}
exports.MemoryStatsCommand = MemoryStatsCommand;
