"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CliBooleanParam = void 0;
const CliParam_1 = require("./CliParam");
class CliBooleanParam extends CliParam_1.CliParam {
    constructor(paramName, description, required, boolType, def) {
        super(paramName, description, required, "" + def);
        this.boolType = boolType;
        this.def = def;
    }
    addTypeSpecificJson(result) {
        result.type = "boolean";
        result.boolType = this.boolType;
        result.default = this.def;
        result.options = this.getOptions();
    }
    getOptions() {
        switch (this.boolType) {
            case "binary": return ["0", "1"];
            case "trueFalse": return ["t", "f"];
            case "yesNo": return ["y", "n"];
            default: return [];
        }
    }
}
exports.CliBooleanParam = CliBooleanParam;
