"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CliParam = void 0;
class CliParam {
    constructor(paramName, description, required, defString) {
        this.paramName = paramName;
        this.description = description;
        this.required = required;
        this.defString = defString;
    }
    toString() {
        return `${(this.required ? `-${this.paramName}` : `[-${this.paramName}]`).padEnd(10, " ")} ${this.description} ${this.getOptionString()}`;
    }
    toJson() {
        const result = {
            paramName: this.paramName,
            description: this.description,
            required: this.required,
        };
        this.addTypeSpecificJson(result);
        return result;
    }
    getParamName() {
        return this.paramName;
    }
    getDescription() {
        return this.description;
    }
    getRequired() {
        return this.required;
    }
    getDefString() {
        return this.defString;
    }
    getOptionString() {
        let result = "";
        const options = this.getOptions();
        if (options.length > 0) {
            result += "<";
            for (const opt of options) {
                result += `${result.length > 1 ? "," : ""}${opt === this.defString ? "*" : ""}${opt}`;
            }
            result += ">";
        }
        return result;
    }
}
exports.CliParam = CliParam;
