"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Configuration = void 0;
/**
 * Created by spencerrodd on 04/11/2015.
 */
class Configuration {
    static makeFromJsonString(jsonString) {
        return this.makeFromJson(JSON.parse(jsonString));
    }
    static makeFromJson(json) {
        return new Configuration(json.id, json.configType, json.version, json.description, new Date(json.timeLastChanged), json.configData, json.host, json.manipulate || false);
    }
    constructor(id, configType, version, description, timeLastChanged, configData, host, manipulate) {
        this.id = id;
        this.configType = configType;
        this.version = version;
        this.description = description;
        this.timeLastChanged = timeLastChanged;
        this.configData = configData;
        this.host = host;
        this.manipulate = manipulate;
    }
    getConfigData() {
        if (this.configData) {
            return this.configData;
        }
        else {
            return {};
        }
    }
    toJson() {
        return {
            id: this.id,
            configType: this.configType,
            version: this.version,
            description: this.description,
            timeLastChanged: this.timeLastChanged,
            configData: this.configData,
            host: this.host,
            manipulate: this.manipulate
        };
    }
}
exports.Configuration = Configuration;
