"use strict";
/**
 * Created by spencerrodd on 04/11/2015.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.LoginDetails = void 0;
const lodash_1 = require("lodash");
class LoginDetails {
    static get() {
        return LoginDetails.loginDetails;
    }
    constructor(host, username, password, providerId, hosts) {
        this.username = username;
        this.password = password;
        this.providerId = providerId;
        if ((0, lodash_1.isArray)(host)) {
            hosts = host;
            host = null;
        }
        else if (typeof host == "object") {
            const o = host;
            host = o.host;
            hosts = o.hosts;
            this.username = o.username;
            this.password = o.password;
            this.providerId = o.providerId;
        }
        if (!providerId) {
            this.providerId = "noId";
        }
        if (hosts) {
            this.hosts = hosts;
        }
        else {
            this.hosts = [];
        }
        this.hostSelect = 0;
        this.setHosts(host);
        if (!LoginDetails.loginDetails) {
            LoginDetails.loginDetails = this;
        }
    }
    static fromProcess() {
        return new LoginDetails(process.argv[2], process.argv[3], process.argv[4], process.argv[5]);
    }
    static makeFromJson(json) {
        return new LoginDetails(json.host, json.username, json.password, json.providerId, json.hosts);
    }
    getHost() {
        return this.hosts[this.hostSelect];
    }
    getHosts() {
        return this.hosts;
    }
    nextHost() {
        if (this.hosts.length > 0) {
            this.hostSelect = (this.hostSelect + 1) % this.hosts.length;
        }
    }
    getUsername() {
        return this.username;
    }
    getPassword() {
        return this.password;
    }
    getProviderId() {
        return this.providerId;
    }
    getServiceId() {
        return this.serviceId;
    }
    setServiceId(serviceId) {
        this.serviceId = serviceId;
    }
    setHosts(hosts) {
        if (typeof hosts === "string") {
            if (hosts.startsWith("[")) {
                this.hosts = JSON.parse(hosts);
            }
            else if (hosts.includes(",")) {
                this.hosts = hosts.split(",");
            }
            else {
                this.hosts.push(hosts);
            }
        }
    }
}
exports.LoginDetails = LoginDetails;
