"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AttachmentInfoBlock = void 0;
const InfoBlockBuilder_1 = require("../common/InfoBlockBuilder");
class AttachmentInfoBlock extends InfoBlockBuilder_1.InfoBlockBuilder {
    constructor(jsonInfo, jobBuilder) {
        super({ ...jsonInfo, infoType: 'attachment' }, jobBuilder);
    }
    setAttachment(attachment, name, encoding) {
        let format = 'string';
        let encodedAttachment;
        if (attachment instanceof Buffer) {
            encodedAttachment = attachment.toString("base64");
            ;
            format = 'buffer';
        }
        else if (typeof attachment === 'object') {
            encodedAttachment = attachment;
            format = 'json';
        }
        else if (typeof attachment === 'string') {
            encodedAttachment = attachment;
            format = 'string';
        }
        else {
            encodedAttachment = attachment.toString("base64");
            format = 'buffer';
        }
        this.updateValue({
            attachment: encodedAttachment,
            name,
            format,
            encoding
        });
        return this;
    }
    setName(name) {
        this.updateValue({
            name
        });
        return this;
    }
    setEncoding(encoding) {
        this.updateValue({
            encoding
        });
        return this;
    }
    setFormat(format) {
        this.updateValue({
            format
        });
        return this;
    }
    setDescription(description) {
        this.updateValue({
            description
        });
        return this;
    }
}
exports.AttachmentInfoBlock = AttachmentInfoBlock;
if (!InfoBlockBuilder_1.InfoTypeLookup['attachment']) {
    InfoBlockBuilder_1.InfoTypeLookup['attachment'] = {};
}
InfoBlockBuilder_1.InfoTypeLookup['attachment'].builder = AttachmentInfoBlock;
