"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FileLocatorListInfoBlock = void 0;
const InfoBlockBuilder_1 = require("../common/InfoBlockBuilder");
class FileLocatorListInfoBlock extends InfoBlockBuilder_1.InfoBlockBuilder {
    constructor(jsonInfo, jobBuilder) {
        super({ ...jsonInfo, infoType: 'fileLocatorList' }, jobBuilder);
    }
    addFile(file) {
        const fileLocatorList = this.jsonInfo.info.fileLocatorList || [];
        fileLocatorList.push(file);
        return this.updateValue({
            fileLocatorList
        });
    }
}
exports.FileLocatorListInfoBlock = FileLocatorListInfoBlock;
if (!InfoBlockBuilder_1.InfoTypeLookup['fileLocatorList']) {
    InfoBlockBuilder_1.InfoTypeLookup['fileLocatorList'] = {};
}
InfoBlockBuilder_1.InfoTypeLookup['fileLocatorList'].builder = FileLocatorListInfoBlock;
