"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FormInfoBlock = void 0;
const InfoBlockBuilder_1 = require("../common/InfoBlockBuilder");
const _ = require("lodash");
class FormInfoBlock extends InfoBlockBuilder_1.InfoBlockBuilder {
    constructor(jsonInfo, jobBuilder) {
        super({ ...jsonInfo, infoType: 'form' }, jobBuilder);
    }
    addJsonInfo(jsonInfo) {
        this.jsonInfo.info.formData = jsonInfo;
        return this;
    }
    mergeJsonInfo(jsonInfo) {
        this.jsonInfo.info.formData = _.merge(this.jsonInfo.info.formData, jsonInfo);
        return this;
    }
}
exports.FormInfoBlock = FormInfoBlock;
if (!InfoBlockBuilder_1.InfoTypeLookup['form']) {
    InfoBlockBuilder_1.InfoTypeLookup['form'] = {};
}
InfoBlockBuilder_1.InfoTypeLookup['form'].builder = FormInfoBlock;
