"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.JsonInfoBlock = void 0;
const InfoBlockBuilder_1 = require("../common/InfoBlockBuilder");
const _ = require("lodash");
class JsonInfoBlock extends InfoBlockBuilder_1.InfoBlockBuilder {
    constructor(jsonInfo, jobBuilder) {
        super({ ...jsonInfo, infoType: 'json' }, jobBuilder);
    }
    addJsonInfo(jsonInfo) {
        this.jsonInfo.info.content = jsonInfo;
        return this;
    }
    mergeJsonInfo(jsonInfo) {
        this.jsonInfo.info.content = _.merge(this.jsonInfo.info.content, jsonInfo);
        return this;
    }
}
exports.JsonInfoBlock = JsonInfoBlock;
if (!InfoBlockBuilder_1.InfoTypeLookup['json']) {
    InfoBlockBuilder_1.InfoTypeLookup['json'] = {};
}
InfoBlockBuilder_1.InfoTypeLookup['json'].builder = JsonInfoBlock;
