"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SurveyInfoBlock = void 0;
const InfoBlockBuilder_1 = require("../common/InfoBlockBuilder");
class SurveyInfoBlock extends InfoBlockBuilder_1.InfoBlockBuilder {
    constructor(jsonInfo, jobBuilder) {
        super({ ...jsonInfo, infoType: 'survey' }, jobBuilder);
    }
    setSurveyName(surveyName) {
        this.updateValue({ surveyName });
        return this;
    }
    setSurveyData(surveyData) {
        this.updateValue({ surveyData });
        return this;
    }
    setSurveyErrors(surveyErrors) {
        this.updateValue({ surveyErrors });
        return this;
    }
}
exports.SurveyInfoBlock = SurveyInfoBlock;
if (!InfoBlockBuilder_1.InfoTypeLookup['survey']) {
    InfoBlockBuilder_1.InfoTypeLookup['survey'] = {};
}
InfoBlockBuilder_1.InfoTypeLookup['survey'].builder = SurveyInfoBlock;
