"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DENORMALISERS = exports.NORMALISERS = void 0;
const xlsx_1 = require("./xlsx");
const xml_1 = require("./xml");
const morpheusSecondScreen_1 = require("./morpheusSecondScreen");
const marina_1 = require("./marina");
const neptune_1 = require("./neptune");
const xlsx = new xlsx_1.xlsxNormaliser();
const xml = new xml_1.xmlNormaliser();
const morpheusSecondScreen = new morpheusSecondScreen_1.morpheusSecondScreenNormaliser();
const marinaNormaliser = new marina_1.MarinaNormaliser();
const neptuneNormaliser = new neptune_1.NeptuneNormaliser();
exports.NORMALISERS = {
    [xlsx.getId()]: xlsx,
    [xml.getId()]: xml,
    [morpheusSecondScreen.getId()]: morpheusSecondScreen,
    [marinaNormaliser.getId()]: marinaNormaliser,
    [neptuneNormaliser.getId()]: neptuneNormaliser
};
exports.DENORMALISERS = {
//    [marinaDenormaliser.getId()]: marinaDenormaliser
};
