"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AsRunJob = exports.AsRun = exports.AsRunBase = void 0;
const bTime_1 = require("../bTime");
class AsRunBase {
    constructor(result, options) {
        this.result = result;
        if (options) {
            this.duration = options.duration;
            this.startTime = options.startTime;
            this.endTime = options.endTime;
            this.state = options.state;
            this.custom = options.custom;
            this.errors = options.errors;
            this.audioDescriptionStatus = options.audioDescriptionStatus;
            this.subtitleStatus = options.subtitleStatus;
        }
    }
    toJson() {
        return {
            result: this.result,
            duration: this.duration && this.duration.toJson(),
            startTime: this.startTime && this.startTime.toJson(),
            endTime: this.endTime && this.endTime.toJson(),
            state: this.state,
            custom: this.custom,
            audioDescriptionStatus: this.audioDescriptionStatus,
            subtitleStatus: this.subtitleStatus,
            errors: this.errors
        };
    }
}
exports.AsRunBase = AsRunBase;
class AsRun extends AsRunBase {
    static fromJson(json = {}) {
        let startTime, endTime, duration;
        if (json.startTime) {
            startTime = bTime_1.BDateTime.fromJson(json.startTime);
        }
        if (json.endTime) {
            endTime = bTime_1.BDateTime.fromJson(json.endTime);
        }
        if (json.duration) {
            duration = bTime_1.BDuration.fromJson(json.duration);
        }
        return new AsRun(json.result, {
            startTime,
            endTime,
            duration,
            state: json.state,
            custom: json.custom,
            errors: json.errors,
            audioDescriptionStatus: json.audioDescriptionStatus,
            subtitleStatus: json.subtitleStatus
        });
    }
}
exports.AsRun = AsRun;
class AsRunJob extends AsRunBase {
    static fromJson(json = {}) {
        let startTime, endTime, duration;
        if (json.startTime) {
            startTime = bTime_1.BDateTime.fromJson(json.startTime);
        }
        if (json.endTime) {
            endTime = bTime_1.BDateTime.fromJson(json.endTime);
        }
        if (json.duration) {
            duration = bTime_1.BDuration.fromJson(json.duration);
        }
        return new AsRunJob(json.result, {
            startTime,
            endTime,
            duration,
            state: json.state,
            custom: json.custom,
            errors: json.errors,
            audioDescriptionStatus: json.audioDescriptionStatus,
            subtitleStatus: json.subtitleStatus
        });
    }
}
exports.AsRunJob = AsRunJob;
