"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AudioDescription = void 0;
const BDateTime_1 = require("../bTime/BDateTime");
const eventFeature_1 = require("./eventFeature");
class AudioDescription extends eventFeature_1.EventFeature {
    constructor(materialId, options) {
        super(options);
        this.materialId = materialId;
        if (options) {
            this.language = options.language;
            this.type = options.type;
            this.som = options.som;
            this.somType = options.somType;
        }
    }
    toJson() {
        return {
            ...super.toJson(),
            language: this.language,
            materialId: this.materialId,
            type: this.type,
            som: this.som && this.som.toJson(),
            somType: this.somType
        };
    }
    static fromJson(json) {
        return new AudioDescription(json.materialId, {
            language: json.language,
            type: json.type,
            som: BDateTime_1.BDateTime.fromJson(json.som),
            somType: json.somType,
            passThrough: json.passThrough
        });
    }
}
exports.AudioDescription = AudioDescription;
