"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BlankingEvent = void 0;
const BDateTime_1 = require("../bTime/BDateTime");
const BDuration_1 = require("../bTime/BDuration");
const eventFeature_1 = require("./eventFeature");
class BlankingEvent extends eventFeature_1.EventFeature {
    constructor(materialId, options) {
        super(options);
        this.materialId = materialId;
        if (options) {
            this.platform = options.platform;
            this.destination = options.destination;
            this.inpoint = options.inpoint;
            this.inpointType = options.inpointType;
            this.duration = options.duration;
            this.durationMode = options.durationMode;
            this.loop = options.loop;
            this.hasAudio = options.hasAudio;
            this.action = options.action;
        }
    }
    toJson() {
        return {
            ...super.toJson(),
            materialId: this.materialId,
            platform: this.platform,
            destination: this.destination,
            inpoint: this.inpoint && this.inpoint.toJson(),
            inpointType: this.inpointType,
            duration: this.duration && this.duration.toJson(),
            durationMode: this.durationMode,
            loop: this.loop,
            hasAudio: this.hasAudio,
            action: this.action
        };
    }
    static fromJson(json) {
        return new BlankingEvent(json.materialId, {
            platform: json.platform,
            destination: json.destination,
            inpoint: BDateTime_1.BDateTime.fromJson(json.inpoint),
            inpointType: json.inpointType,
            duration: BDuration_1.BDuration.fromJson(json.duration),
            durationMode: json.durationMode,
            loop: json.loop,
            hasAudio: json.hasAudio,
            passThrough: json.passThrough,
            action: json.action
        });
    }
}
exports.BlankingEvent = BlankingEvent;
