"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DpiEvent = void 0;
const secondaryEvent_1 = require("./secondaryEvent");
const bTime_1 = require("../../bTime");
class DpiEvent extends secondaryEvent_1.SecondaryEventBase {
    constructor(id, startMode, eventId, options) {
        super("dpi", startMode, id, options);
        this.eventId = eventId;
        if (options) {
            this.command = options.command;
            this.uniqueProgramId = options.uniqueProgramId;
            this.dpiDuration = options.dpiDuration;
        }
    }
    static fromJson(json = {}) {
        let startOffset, endOffset, duration;
        if (json.startOffset) {
            startOffset = bTime_1.BDuration.fromJson(json.startOffset);
        }
        if (json.endOffset) {
            endOffset = bTime_1.BDuration.fromJson(json.endOffset);
        }
        if (json.duration) {
            duration = bTime_1.BDuration.fromJson(json.duration);
        }
        return new DpiEvent(json.id, json.startMode, json.eventId, {
            title: json.title,
            startOffset,
            startOffsetType: json.startOffsetType,
            endMode: json.endMode,
            endOffset,
            duration,
            command: json.command,
            uniqueProgramId: json.uniqueProgramId,
            dpiDuration: json.dpiDuration,
            passThrough: json.passThrough,
            custom: json.custom,
            asRun: json.asRun
        });
    }
    toJson() {
        return {
            ...super.toJson(),
            title: this.title,
            eventId: this.eventId,
            command: this.command,
            uniqueProgramId: this.uniqueProgramId,
            dpiDuration: this.dpiDuration,
            passThrough: this.passThrough,
            custom: this.custom
        };
    }
}
exports.DpiEvent = DpiEvent;
