"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GpoEvent = void 0;
const secondaryEvent_1 = require("./secondaryEvent");
const bTime_1 = require("../../bTime");
class GpoEvent extends secondaryEvent_1.SecondaryEventBase {
    constructor(id, startMode, _gpoNumber, _mode, options) {
        super("gpo", startMode, id, options);
        this._gpoNumber = _gpoNumber;
        this._mode = _mode;
    }
    get gpoNumber() {
        return this._gpoNumber;
    }
    get mode() {
        return this._mode;
    }
    static getKeys() {
        return [
            { "name": "gpoNumber" },
            { "name": "mode" }
        ];
    }
    static fromJson(json = {}) {
        let startOffset, endOffset, duration, som;
        if (json.startOffset) {
            startOffset = bTime_1.BDuration.fromJson(json.startOffset);
        }
        if (json.endOffset) {
            endOffset = bTime_1.BDuration.fromJson(json.endOffset);
        }
        if (json.duration) {
            duration = bTime_1.BDuration.fromJson(json.duration);
        }
        return new GpoEvent(json.id, json.startMode, json.gpoNumber, json.mode, {
            startOffset,
            startOffsetType: json.startOffsetType,
            endMode: json.endMode,
            endOffset,
            duration,
            custom: json.custom,
            comment: json.comment,
            passThrough: json.passThrough,
            title: json.title,
            asRun: json.asRun
        });
    }
    toJson() {
        return {
            ...super.toJson(),
            gpoNumber: this.gpoNumber,
            mode: this.mode
        };
    }
}
exports.GpoEvent = GpoEvent;
