"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RecordEvent = void 0;
const secondaryEvent_1 = require("./secondaryEvent");
const bTime_1 = require("../../bTime");
class RecordEvent extends secondaryEvent_1.SecondaryEventBase {
    constructor(id, startMode, materialId, options) {
        super("record", startMode, id, options);
        this.materialId = materialId;
        if (options) {
            this.som = options.som;
            this.somType = options.somType;
        }
    }
    static getKeys() {
        return [
            { "name": "som", "type": "date" },
            { "name": "materialId" }
        ];
    }
    static fromJson(json = {}) {
        let startOffset, endOffset, duration, som;
        if (json.startOffset) {
            startOffset = bTime_1.BDuration.fromJson(json.startOffset);
        }
        if (json.endOffset) {
            endOffset = bTime_1.BDuration.fromJson(json.endOffset);
        }
        if (json.duration) {
            duration = bTime_1.BDuration.fromJson(json.duration);
        }
        if (json.som) {
            som = bTime_1.BDateTime.fromJson(json.som);
        }
        return new RecordEvent(json.id, json.startMode, json.materialId, {
            startOffset,
            startOffsetType: json.startOffsetType,
            endMode: json.endMode,
            endOffset,
            duration,
            custom: json.custom,
            comment: json.comment,
            som,
            somType: json.somType,
            passThrough: json.passThrough,
            asRun: json.asRun
        });
    }
    toJson() {
        return {
            ...super.toJson(),
            som: this.som && this.som.toJson(),
            somType: this.somType,
            materialId: this.materialId
        };
    }
}
exports.RecordEvent = RecordEvent;
