"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SecondaryEventBase = void 0;
class SecondaryEventBase {
    constructor(eventType, startMode, id, options) {
        this.eventType = eventType;
        this.startMode = startMode;
        this.id = id;
        if (!id) {
            throw new Error("Secondary event ID not provided");
        }
        if (options) {
            this.action = options.action;
            this.startOffset = options.startOffset;
            this.endMode = options.endMode;
            this.endOffset = options.endOffset;
            this.startOffsetType = options.startOffsetType;
            this.duration = options.duration;
            this.custom = options.custom;
            this.comment = options.comment;
            this.title = options.title;
            this.passThrough = options.passThrough;
            this.asRun = options.asRun;
        }
    }
    static getKeys() {
        return [
            { "name": "comment" },
            { "name": "duration", "type": "duration" },
            { "name": "endMode" },
            { "name": "endOffset", "type": "duration" },
            { "name": "eventType" },
            { "name": "overrideEventType" },
            { "name": "id" },
            { "name": "startMode" },
            { "name": "startOffset", "type": "duration" },
            { "name": "title" },
            { "name": "passThrough" }
        ];
    }
    toJson() {
        return {
            id: this.id,
            eventType: this.eventType,
            startMode: this.startMode,
            startOffset: this.startOffset && this.startOffset.toJson(),
            endMode: this.endMode,
            endOffset: this.endOffset && this.endOffset.toJson(),
            startOffsetType: this.startOffsetType,
            duration: this.duration && this.duration.toJson(),
            custom: this.custom,
            comment: this.comment,
            title: this.title,
            passThrough: this.passThrough,
            action: this.action,
            asRun: this.asRun
        };
    }
}
exports.SecondaryEventBase = SecondaryEventBase;
