"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SecondaryPlayEvent = void 0;
const secondaryEvent_1 = require("./secondaryEvent");
const bTime_1 = require("../../bTime");
class SecondaryPlayEvent extends secondaryEvent_1.SecondaryEventBase {
    constructor(id, startMode, materialId, options) {
        super("secondaryPlay", startMode, id, options);
        this.materialId = materialId;
        if (options) {
        }
    }
    static getKeys() {
        return [
            { "name": "materialId" }
        ];
    }
    static fromJson(json = {}) {
        let startOffset, endOffset, duration;
        if (json.startOffset) {
            startOffset = bTime_1.BDuration.fromJson(json.startOffset);
        }
        if (json.endOffset) {
            endOffset = bTime_1.BDuration.fromJson(json.endOffset);
        }
        if (json.duration) {
            duration = bTime_1.BDuration.fromJson(json.duration);
        }
        return new SecondaryPlayEvent(json.id, json.startMode, json.materialId, {
            startOffset,
            startOffsetType: json.startOffsetType,
            endMode: json.endMode,
            endOffset,
            duration,
            custom: json.custom,
            comment: json.comment,
            asRun: json.asRun,
            passThrough: json.passThrough
        });
    }
    toJson() {
        return {
            ...super.toJson(),
            materialId: this.materialId
        };
    }
}
exports.SecondaryPlayEvent = SecondaryPlayEvent;
