"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.VideoEvent = void 0;
const secondaryEvent_1 = require("./secondaryEvent");
const bTime_1 = require("../../bTime");
class VideoEvent extends secondaryEvent_1.SecondaryEventBase {
    constructor(id, startMode, som, materialId, options) {
        super("video", startMode, id, options && {
            startOffset: options.startOffset,
            endMode: options.endMode,
            endOffset: options.endOffset,
            duration: options.duration,
            custom: options.custom,
            comment: options.comment,
            asRun: options.asRun
        });
        this.som = som;
        this.materialId = materialId;
        if (options) {
            this.somType = options.somType;
        }
    }
    static fromJson(json = {}) {
        let startOffset, endOffset, duration, som;
        if (json.startOffset) {
            startOffset = bTime_1.BDuration.fromJson(json.startOffset);
        }
        if (json.endOffset) {
            endOffset = bTime_1.BDuration.fromJson(json.endOffset);
        }
        if (json.duration) {
            duration = bTime_1.BDuration.fromJson(json.duration);
        }
        if (json.som) {
            som = bTime_1.BDateTime.fromJson(json.som);
        }
        return new VideoEvent(json.id, json.startMode, som, json.materialId, {
            startOffset,
            startOffsetType: json.startOffsetType,
            endMode: json.endMode,
            endOffset,
            duration,
            custom: json.custom,
            comment: json.comment,
            somType: json.somType,
            passThrough: json.passThrough,
            asRun: json.asRun
        });
    }
    toJson() {
        return {
            ...super.toJson(),
            som: this.som.toJson(),
            somType: this.somType,
            materialId: this.materialId
        };
    }
}
exports.VideoEvent = VideoEvent;
