"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.VoiceoverEvent = void 0;
const secondaryEvent_1 = require("./secondaryEvent");
const bTime_1 = require("../../bTime");
class VoiceoverEvent extends secondaryEvent_1.SecondaryEventBase {
    constructor(id, startMode, options) {
        super("voiceover", startMode, id, options);
        if (options) {
            this.som = options.som;
            this.somType = options.somType;
            this.materialId = options.materialId;
            this.live = options.live;
        }
    }
    static fromJson(json = {}) {
        let startOffset, endOffset, duration, som;
        if (json.startOffset) {
            startOffset = bTime_1.BDuration.fromJson(json.startOffset);
        }
        if (json.endOffset) {
            endOffset = bTime_1.BDuration.fromJson(json.endOffset);
        }
        if (json.duration) {
            duration = bTime_1.BDuration.fromJson(json.duration);
        }
        if (json.som) {
            som = bTime_1.BDateTime.fromJson(json.som);
        }
        return new VoiceoverEvent(json.id, json.startMode, {
            startOffset,
            startOffsetType: json.startOffsetType,
            startMode: json.startMode,
            title: json.title,
            endMode: json.endMode,
            endOffset,
            duration,
            custom: json.custom,
            comment: json.comment,
            som,
            somType: json.somType,
            materialId: json.materialId,
            passThrough: json.passThrough,
            live: json.live,
            asRun: json.asRun
        });
    }
    toJson() {
        return {
            ...super.toJson(),
            materialId: this.materialId,
            som: this.som ? this.som.toJson() : undefined,
            somType: this.somType,
            live: this.live
        };
    }
}
exports.VoiceoverEvent = VoiceoverEvent;
