"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Subtitle = void 0;
const eventFeature_1 = require("./eventFeature");
class Subtitle extends eventFeature_1.EventFeature {
    constructor(language, options) {
        super(options);
        this.language = language;
        if (options) {
            this.filename = options.filename;
            this.captionMode = options.captionMode;
            this.setting = options.setting;
            this.source = options.source;
        }
    }
    toJson() {
        return {
            ...super.toJson(),
            language: this.language,
            filename: this.filename,
            captionMode: this.captionMode,
            setting: this.setting,
            source: this.source
        };
    }
    static fromJson(json) {
        return new Subtitle(json.language, {
            filename: json.filename,
            captionMode: json.captionMode,
            setting: json.setting,
            source: json.source,
            passThrough: json.passThrough
        });
    }
}
exports.Subtitle = Subtitle;
