"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.VideoTransition = exports.AudioTransition = void 0;
const bTime_1 = require("../bTime");
class AudioTransition {
    constructor(options) {
        if (options) {
            this.lagDuration = options.lagDuration;
            this.leadDuration = options.leadDuration;
        }
    }
    static fromJson(json = {}) {
        let lagDuration, leadDuration;
        if (json.leadDuration) {
            leadDuration = bTime_1.BDuration.fromJson(json.leadDuration);
        }
        if (json.lagDuration) {
            lagDuration = bTime_1.BDuration.fromJson(json.lagDuration);
        }
        return new AudioTransition({ leadDuration, lagDuration });
    }
    toJson() {
        return {
            leadDuration: this.leadDuration && this.leadDuration.toJson(),
            lagDuration: this.lagDuration && this.lagDuration.toJson()
        };
    }
}
exports.AudioTransition = AudioTransition;
class VideoTransition {
    constructor(type, options) {
        this.type = type;
        if (options) {
            this._duration = options.duration;
        }
    }
    get duration() {
        return this._duration;
    }
    static fromJson(json = {}) {
        let duration;
        if (json.duration) {
            duration = bTime_1.BDuration.fromJson(json.duration);
        }
        return new VideoTransition(json.type, { duration });
    }
    toJson() {
        return {
            duration: this._duration && this._duration.toJson(),
            type: this.type
        };
    }
}
exports.VideoTransition = VideoTransition;
