"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AlarmSubscriber = exports.AlarmState = void 0;
const interfaces_1 = require("./interfaces");
var AlarmState;
(function (AlarmState) {
    AlarmState["normal"] = "normal";
    AlarmState["alarming"] = "alarming";
    AlarmState["receivingAttention"] = "receivingAttention";
    AlarmState["inhibit"] = "inhibit";
    AlarmState["indicate"] = "indicate";
    AlarmState["momentaryAl"] = "momentaryAl";
    AlarmState["momentaryWaitingClear"] = "momentaryWaitingClear";
})(AlarmState || (exports.AlarmState = AlarmState = {}));
class AlarmSubscriber extends interfaces_1.AbstractSubscriber {
    triggerAlarm(id, state, detail, eventId) {
        return this.send('triggerAlarm', {
            id, state, detail, eventId
        });
    }
    clearAlarm(id, lastUser) {
        return this.send('clear', { id, lastUser }, { fromIp: true });
    }
    getAlarmStatus() {
        return this.send('getAlarmStatus');
    }
    getAlarmHistory() {
        return this.send('getAlarmHistory');
    }
    receivingAttention(masterAlarms, lastUser, alarmId) {
        if (!alarmId) {
            return this.send('receivingAttention', { masterAlarms, lastUser }, { fromIp: true });
        }
        else {
            return this.send('receivingAttention', { masterAlarms, lastUser, alarmId }, { fromIp: true });
        }
    }
    checkHeartBeat(appId, username) {
        return this.send('heartBeat', { appId, username });
    }
    forceClearAllAlarms(masterAlarms, lastUser) {
        return this.send('forceClearAllAlarms', { masterAlarms, lastUser }, { fromIp: true });
    }
}
exports.AlarmSubscriber = AlarmSubscriber;
