"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BusbyCacheSubscriber = void 0;
const interfaces_1 = require("./interfaces");
/**
 * Created by chris on 08/11/2017.
 */
class BusbyCacheSubscriber extends interfaces_1.AbstractSubscriber {
    static get(serviceName) {
        return interfaces_1.SubscriberManager.get().getSubscriber("busbyCache", this);
    }
    static async getConnected(serviceName) {
        return await interfaces_1.SubscriberManager.get().getConnectedSubscriber("busbyCache", this);
    }
    get(key) {
        return this.send('get', { key });
    }
    set(key, value) {
        return this.send('set', { key, value });
    }
    has(key) {
        return this.send('has', { key });
    }
    list(keys) {
        return this.send('list', { keys });
    }
}
exports.BusbyCacheSubscriber = BusbyCacheSubscriber;
