"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BusbyDirectorySubscriber = void 0;
const interfaces_1 = require("./interfaces");
class BusbyDirectorySubscriber extends interfaces_1.AbstractSubscriber {
    static get() {
        return interfaces_1.SubscriberManager.get().getSubscriber("directory", this);
    }
    static async getConnected() {
        return await interfaces_1.SubscriberManager.get().getConnectedSubscriber("directory", this);
    }
    constructor(loginDetails, ...args) {
        if (args.length === 0) {
            super("directory", loginDetails);
        }
        else {
            const [ld, sp, s, so, ...a] = args;
            super("directory", ld, sp, s, so, ...a);
        }
    }
}
exports.BusbyDirectorySubscriber = BusbyDirectorySubscriber;
