"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BusbyTableLookupSubscriber = void 0;
const interfaces_1 = require("./interfaces");
/**
 * Created by chris on 08/11/2017.
 */
class BusbyTableLookupSubscriber extends interfaces_1.AbstractSubscriber {
    static get() {
        return interfaces_1.SubscriberManager.get().getSubscriber("busbyTableLookup", this);
    }
    static async getConnected() {
        return await interfaces_1.SubscriberManager.get().getConnectedSubscriber("busbyTableLookup", this);
    }
    constructor(loginDetails, ...args) {
        if (args.length === 0) {
            super("busbyTableLookup", loginDetails);
        }
        else {
            const [ld, sp, s, so, ...a] = args;
            super("busbyTableLookup", ld, sp, s, so, ...a);
        }
    }
    getTable(params) {
        return this.send('getTable', params);
    }
    searchTable(params) {
        return this.send('searchTable', params);
    }
    findRow(params) {
        return this.send('findRow', params);
    }
}
exports.BusbyTableLookupSubscriber = BusbyTableLookupSubscriber;
