"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConnectSubscriber = void 0;
const interfaces_1 = require("./interfaces");
class ConnectSubscriber extends interfaces_1.AbstractSubscriber {
    userListGroups() {
        return this.send("userListGroups");
    }
    login(userName, password) {
        return this.send("login", {
            userName, password
        });
    }
    changePassword(userName, currentPassword, newPassword) {
        return this.send("changePassword", {
            userName, currentPassword, newPassword
        });
    }
    getAsaPermissions(sessionId) {
        return this.send("getAsaPermissions", {
            sessionId
        });
    }
    getVFSArchiveStorageAliasNames() {
        return this.send("getVFSArchiveStorageAliasNames");
    }
    getActiveConnectInstance() {
        return this.send("getActiveConnectInstance");
    }
    getFilesByArchiveAliasAndSubFolderVfs(userName, archiveAlias, subFolder = '') {
        if (subFolder.startsWith("/")) {
            subFolder = subFolder.slice(1);
        }
        return this.send("getFilesByArchiveAliasAndSubFolderVfs", {
            userName,
            archiveAlias,
            subFolder
        });
    }
    getFileByGroupAndFilename(group, subfolder, filename) {
        return this.send("getFileByGroupAndFilename", {
            group, subfolder, filename
        });
    }
    deleteFromArchive(files) {
        return this.send("deleteFromArchive", {
            files
        });
    }
    deleteSubFolder(subFolder) {
        return this.send("deleteSubFolder", {
            subFolder
        });
    }
    makeSubfolder(subFolder) {
        return this.control.makeSubfolder({
            subFolder
        });
    }
}
exports.ConnectSubscriber = ConnectSubscriber;
