"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.markerSetTypesFormSchema = exports.ItemHelper = exports.MediaAssetManagementServiceSubscriber = void 0;
/**
 * Created by chris on 02/11/2020.
 */
const interfaces_1 = require("./interfaces");
;
class MediaAssetManagementServiceSubscriber extends interfaces_1.AbstractSubscriber {
    constructor() {
        super(...arguments);
        this.addItem = async (params) => {
            return await this.control.addItem(params);
        };
        this.updateItem = async (params) => {
            return await this.control.updateItem(params);
        };
        this.mergeItem = async (params) => {
            return await this.control.mergeItem(params);
        };
        this.markItemForDeletion = async (params) => {
            return await this.control.markItemForDeletion(params);
        };
        this.deleteItem = async (params) => {
            return await this.control.deleteItem(params);
        };
        this.getItem = async (params) => {
            return await this.control.getItem(params);
        };
        this.getItems = async (params) => {
            return await this.control.getItems(params);
        };
        this.getItemById = async (params) => {
            return await this.control.getItemById(params);
        };
        this.getItemTypeProperties = async () => {
            return await this.control.getItemTypeProperties();
        };
        this.getAllItemTypeProperties = async () => {
            return await this.control.getAllItemTypeProperties();
        };
        this.getItemTree = async (params) => {
            return await this.control.getItemTree(params);
        };
        this.getItemTrees = async (params) => {
            return await this.control.getItemTrees(params);
        };
        this.queryItems = async (params) => {
            return await this.control.queryItems(params);
        };
        this.getItemJsonSchema = async (params) => {
            return await this.control.getItemJsonSchema(params);
        };
        this.addInstanceToItem = async (params) => {
            return await this.control.addInstanceToItem(params);
        };
        this.mergeInstance = async (params) => {
            return await this.control.mergeInstance(params);
        };
        this.markInstanceForDeletion = async (params) => {
            return await this.control.markInstanceForDeletion(params);
        };
        this.deleteInstance = async (params) => {
            return await this.control.deleteInstance(params);
        };
        this.getInstance = async (params) => {
            return await this.control.getInstance(params);
        };
        this.getDefaultBrowseInstanceForItem = async (params) => {
            return await this.control.getDefaultBrowseInstanceForItem(params);
        };
        this.getDefaultBrowseInstanceForItems = async (params) => {
            return await this.control.getDefaultBrowseInstanceForItems(params);
        };
        this.getAllMarkerSetTypes = async () => {
            return await this.control.getAllMarkerSetTypes();
        };
        this.getMarkerSetTypesFormSchema = async () => {
            return await this.control.getMarkerSetTypesFormSchema();
        };
        this.addTag = async (params) => {
            return await this.control.addTag(params);
        };
        this.deleteTag = async (params) => {
            return await this.control.deleteTag(params);
        };
        this.getTag = async (params) => {
            return await this.control.getTag(params);
        };
        this.getTagById = async (params) => {
            return await this.control.getTagById(params);
        };
        this.queryTags = async (params) => {
            return await this.control.queryTags(params);
        };
        this.getTags = async (params) => {
            return await this.control.getTags(params);
        };
        this.getItemsWithTag = async (params) => {
            return await this.control.getItemsWithTag(params);
        };
        this.getItemsWithTagId = async (params) => {
            return await this.control.getItemsWithTagId(params);
        };
        this.getItemsWithLocation = async (params) => {
            return await this.control.getItemsWithLocation(params);
        };
        this.getCurrentIncrementingtId = async (params) => {
            return await this.control.getCurrentIncrementingtId(params);
        };
        this.getNextIncrementingtId = async (params) => {
            return await this.control.getNextIncrementingtId(params);
        };
    }
}
exports.MediaAssetManagementServiceSubscriber = MediaAssetManagementServiceSubscriber;
exports.ItemHelper = {
    getMamId(item) {
        return item.itemType + "_" + item.itemUuid;
    },
    getItemReferenceFromMamId(mamId) {
        const [itemType, itemUuid] = mamId.split("_");
        return { itemType, itemUuid };
    }
};
exports.markerSetTypesFormSchema = {
    parting: {
        form: {
            schema: {
                type: "object",
                properties: {
                    partIndex: {
                        title: "Part index",
                        type: "string"
                    }
                }
            }
        }
    },
    compliance: {
        form: {
            schema: {
                type: "object",
                properties: {
                    notes: {
                        title: "Notes",
                        type: "string"
                    }
                }
            }
        }
    },
    productPlacement: {
        form: {
            schema: {
                type: "object",
                properties: {
                    product: {
                        title: "Product",
                        type: "string"
                    },
                    notes: {
                        title: "Notes",
                        type: "string"
                    }
                }
            }
        }
    }
};
//
// export type InOut = "input" | "output"
// type InOutChoice<I, O, T extends InOut = any> =  T extends "input" ? I :
//     T extends "output" ? O : I | O
//
//
// export type InOutResource = "input" | "output" | "resource"
// type InOutResourceChoice<I, O, R, T extends InOutResource = any> =
//     T extends "input" ? I :
//     T extends "output" ? O :
//     T extends "resource" ? R :
//         I | O | R
//
//
// type BaseInOutResourceChoice<B, I, O, R, T extends InOutResource = any> =
//     T extends "input" ? B & I :
//         T extends "output" ? B & O :
//             T extends "resource" ? B & R :
//                 B & I & O & R
