"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MediaFileUploadSubscriber = void 0;
const interfaces_1 = require("./interfaces");
class MediaFileUploadSubscriber extends interfaces_1.AbstractSubscriber {
    getStoreNames() {
        return this.send("getStoreNames");
    }
    getStores() {
        return this.send("getStores");
    }
    getStoreContents(storeName, folder, deep) {
        return this.send("getStoreContents", { store: storeName, folder, deep });
    }
    getMediaInfo(path, fileName, store) {
        return this.send("getMediaInfo", { path, fileName, store });
    }
    uploadFile(store, path, fileName, metadata, surveyName, submittedTime) {
        return this.sendControl("uploadFile", { path, fileName: fileName || "", store, metadata, surveyName, submittedTime });
    }
}
exports.MediaFileUploadSubscriber = MediaFileUploadSubscriber;
