"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MonitorSubscriber = void 0;
const interfaces_1 = require("./interfaces");
class MonitorSubscriber extends interfaces_1.AbstractSubscriber {
    getSystemHealth() {
        return this.control.getSystemHealth();
    }
    getProcessList() {
        return this.control.getProcessList();
    }
    refreshConfig() {
        return this.control.refreshConfig();
    }
    startProcess(processId, username) {
        return this.control.startProcess({
            name: processId,
            user: username
        });
    }
    debugProcess(processId, debugPort, username) {
        return this.control.debugProcess({
            name: processId,
            port: debugPort,
            user: username
        });
    }
    restartProcess(processId, username) {
        return this.control.restartProcess({
            name: processId,
            user: username
        });
    }
    stopProcess(processId, username) {
        return this.control.stopProcess({
            name: processId,
            user: username
        });
    }
    async getBusbyVersion() {
        try {
            const result = await this.control.getBusbyVersion();
            return result.getResult();
        }
        catch (err) {
            return null;
        }
    }
}
exports.MonitorSubscriber = MonitorSubscriber;
