"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.VCMeetingManagerSubscriber = void 0;
const AbstractSubscriber_1 = require("./interfaces/AbstractSubscriber");
class VCMeetingManagerSubscriber extends AbstractSubscriber_1.AbstractSubscriber {
    constructor() {
        super(...arguments);
        this.getWaitingSessions = async () => {
            return await this.control.getWaitingSessions();
        };
        this.startSession = async (jobUuid) => {
            return await this.control.startSession({ jobUuid });
        };
        this.setProgramme = async (contributor) => {
            return await this.control.setProgramme({ contributor });
        };
        this.getDisplayOrder = async () => {
            return await this.control.getDisplayOrder(undefined, { fromIp: false, fromUser: false, });
        };
        this.getAvState = async () => {
            return await this.control.getAvState(undefined, { fromIp: false, fromUser: false, });
        };
        this.getAllContributors = async () => {
            return await this.control.getAllContributors(undefined, { fromIp: false, fromUser: false, });
        };
        this.getAllPanels = async () => {
            return await this.control.getAllPanels(undefined, { fromIp: false, fromUser: false, });
        };
        this.getMeetingDetails = async () => {
            return await this.control.getMeetingDetails(undefined, { fromIp: false, fromUser: false, });
        };
    }
    setDefaultControlOptions() {
        super.setDefaultControlOptions({
            fromIp: true,
            fromUser: true,
        });
    }
}
exports.VCMeetingManagerSubscriber = VCMeetingManagerSubscriber;
