"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BreakoutState = exports.StatusTelephoneLine = exports.ZoomState = exports.AlertState = exports.EqState = exports.Dynamics = exports.EndpointType = exports.OnBoardState = exports.InviteStatus = exports.ContributorListType = exports.SessionState = exports.VCSessionManagerSubscriber = void 0;
const interfaces_1 = require("./interfaces");
;
;
class VCSessionManagerSubscriber extends interfaces_1.AbstractSubscriber {
    constructor() {
        super(...arguments);
        this.getWaitingSessions = async () => {
            return await this.control.getWaitingSessions();
        };
        this.startSession = async (jobUuid) => {
            return await this.control.startSession({ jobUuid });
        };
        this.setProgramme = async (contributor) => {
            return await this.control.setProgramme({ contributor });
        };
        this.setPreset = async (contributor) => {
            return await this.control.setPreset({ contributor });
        };
        this.getList = async (list) => {
            return await this.control.getList({ list }, { fromIp: false, fromUser: false, });
        };
        this.addToList = async (contributor, list, posn = -1) => {
            return await this.control.addToList({ contributor, list, posn });
        };
        this.deleteFromList = async (list, posn) => {
            return await this.control.deleteFromList({ list, posn });
        };
        this.getAllContributors = async () => {
            return await this.control.getAllContributors(undefined, { fromIp: false, fromUser: false, });
        };
        this.take = async () => {
            return await this.control.take({});
        };
        this.skipNext = async () => {
            return await this.control.skipNext();
        };
        this.swap = async () => {
            return await this.control.swap();
        };
        this.directNext = async (list, posn) => {
            return await this.control.directNext({ list, posn });
        };
        this.contributorSelected = async (contributor) => {
            return await this.control.contributorSelected({ contributor });
        };
    }
    setDefaultControlOptions() {
        super.setDefaultControlOptions({
            fromIp: true,
            fromUser: true,
        });
    }
}
exports.VCSessionManagerSubscriber = VCSessionManagerSubscriber;
var SessionState;
(function (SessionState) {
    SessionState["NoSession"] = "noSession";
    SessionState["Unknown"] = "unknown";
    SessionState["Scheduled"] = "scheduled";
    SessionState["InSession"] = "inSession";
    SessionState["SessionCompleted"] = "sessionCompleted";
})(SessionState || (exports.SessionState = SessionState = {}));
var ContributorListType;
(function (ContributorListType) {
    ContributorListType["RunningOrder"] = "runningOrder";
    ContributorListType["QuickPick"] = "quickPick";
    ContributorListType["Chamber"] = "chamber";
    ContributorListType["Intervention"] = "intervention";
    ContributorListType["SpeakingOrder"] = "speakingOrder";
    ContributorListType["All"] = "all";
})(ContributorListType || (exports.ContributorListType = ContributorListType = {}));
var InviteStatus;
(function (InviteStatus) {
    InviteStatus["NotAvailable"] = "notAvailable";
    InviteStatus["NotInvited"] = "notInvited";
    InviteStatus["InviteSent"] = "inviteSent";
})(InviteStatus || (exports.InviteStatus = InviteStatus = {}));
var OnBoardState;
(function (OnBoardState) {
    OnBoardState["NotSeenInSession"] = "notSeenInSession";
    OnBoardState["RequiresOnBoarding"] = "requiresOnBoarding";
    OnBoardState["LeftAfterOnBoarding"] = "leftAfterOnBoarding";
    OnBoardState["ReCheckRequired"] = "reCheckRequired";
    OnBoardState["OnBoarding"] = "onBoarding";
    OnBoardState["OnBoard"] = "onBoard";
})(OnBoardState || (exports.OnBoardState = OnBoardState = {}));
var EndpointType;
(function (EndpointType) {
    EndpointType["Zoom"] = "zoom";
    EndpointType["Telephone"] = "telephone";
    EndpointType["Still"] = "still";
    EndpointType["Line"] = "line";
    EndpointType["Room"] = "room";
    EndpointType["Physical"] = "physical";
})(EndpointType || (exports.EndpointType = EndpointType = {}));
var Dynamics;
(function (Dynamics) {
    Dynamics["Unknown"] = "unknown";
    Dynamics["Off"] = "off";
    Dynamics["Low"] = "low";
    Dynamics["Medium"] = "medium";
    Dynamics["High"] = "high";
})(Dynamics || (exports.Dynamics = Dynamics = {}));
var EqState;
(function (EqState) {
    EqState["Unknown"] = "unknown";
    EqState["None"] = "noeq";
    EqState["Eq1"] = "eq1";
    EqState["Eq2"] = "eq2";
    EqState["Eq3"] = "eq3";
})(EqState || (exports.EqState = EqState = {}));
var AlertState;
(function (AlertState) {
    AlertState["Error"] = "error";
    AlertState["Failed"] = "failed";
    AlertState["Accepted"] = "accepted";
})(AlertState || (exports.AlertState = AlertState = {}));
var ZoomState;
(function (ZoomState) {
    ZoomState["Unknown"] = "unknown";
    ZoomState["WaitStateUpdate"] = "waitStateUpdate";
    ZoomState["Idle"] = "idle";
    ZoomState["WaitAuth"] = "waitAuth";
    ZoomState["Authorised"] = "authorised";
    ZoomState["WaitLogin"] = "waitLogin";
    ZoomState["LoggedIn"] = "loggedIn";
    ZoomState["LoggingOut"] = "loggingOut";
    ZoomState["EnteringMeeting"] = "enteringMeeting";
    ZoomState["SetupEndpoint"] = "setupEndpoint";
    ZoomState["InMeeting"] = "inMeeting";
    ZoomState["LeavingMeeting"] = "leavingMeeting";
})(ZoomState || (exports.ZoomState = ZoomState = {}));
var StatusTelephoneLine;
(function (StatusTelephoneLine) {
    StatusTelephoneLine["NoComms"] = "noComms";
    StatusTelephoneLine["OnHook"] = "onHook";
    StatusTelephoneLine["OffHook"] = "offHook";
    StatusTelephoneLine["Ringing"] = "ringing";
})(StatusTelephoneLine || (exports.StatusTelephoneLine = StatusTelephoneLine = {}));
var BreakoutState;
(function (BreakoutState) {
    BreakoutState["Idle"] = "idle";
    BreakoutState["Entering"] = "enteringBreakout";
    BreakoutState["InBreakout"] = "inBreakout";
    BreakoutState["LeavingBreakout"] = "leavingBreakout";
    BreakoutState["Resetting"] = "resetting";
    BreakoutState["AddToCall"] = "addToCall";
    BreakoutState["WaitAddToCall"] = "waitAddToCall";
    BreakoutState["SetCoHost"] = "setCoHost";
    BreakoutState["CreateBreakoutRoom"] = "createBreakoutRoom";
    BreakoutState["StartBreakoutRoom"] = "startBreakoutRoom";
    BreakoutState["WaitJoinBreakout"] = "waitJoinBreakout";
    BreakoutState["BreakoutRouting"] = "breakoutRouting";
    BreakoutState["WaitForClose"] = "waitForClose";
    BreakoutState["CloseBreakout"] = "closeBreakout";
    BreakoutState["LeavingMeeting"] = "leavingMeeting";
    BreakoutState["RemoveBreakoutRoom"] = "removeBreakoutRoom";
    BreakoutState["CheckReset"] = "checkReset";
})(BreakoutState || (exports.BreakoutState = BreakoutState = {}));
