"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.dekoManifest = void 0;
exports.dekoManifest = {
    id: "Deko",
    description: "Make Deko graphic playlists",
    "exportFormat": {
        "options": {
            "encodeChars": true
        }
    },
    "postProcessScript": "const reduced = this._.reduce(this.data['top'], (result, val) => { return result.concat(val['EVENT']) }, []); const result = this.js2xml.parse('DEKOEVENTS', { 'EVENT': reduced }, { declaration: { encoding: 'iso-8859-1' } }); return result;",
    transformations: {
        "Playlist": {
            "type": "Playlist",
            "topLevel": true,
            "includeScript": {
                "code": "this.result = true",
                "block": ""
            },
            "transformKind": "playlist",
            "values": [
                {
                    "path": "top",
                    "children": {
                        "ids": [
                            "event"
                        ],
                        "source": "events"
                    }
                }
            ]
        },
        "Event": {
            "type": "Event",
            "transformKind": "play",
            "includeScript": {
                "code": "this.result = this.libs.jsonpath({ path: '$.secondaryEvents[?(@.fields)]', json: this.object, wrap: false })",
                "block": ""
            },
            "values": [
                {
                    "path": "EVENT",
                    "children": {
                        "ids": [
                            "text"
                        ],
                        "source": "secondaryEvents"
                    }
                }
            ]
        },
        "Text": {
            "type": "Text",
            "includeScript": {
                "code": "this.result = true",
                "block": ""
            },
            "transformKind": "graphic",
            "values": [
                {
                    "path": "@.IDdeko",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": ""
                    },
                    "valueScript": {
                        "code": "this.result = this.object.page",
                        "block": ""
                    }
                },
                {
                    "path": "@.DATE",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": ""
                    },
                    "valueScript": {
                        "code": "this.result = _.find(this.object.fields, { name: 'DATE' }).value",
                        "block": ""
                    }
                },
                {
                    "path": "@.CHANNEL_ID",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": ""
                    },
                    "valueScript": {
                        "code": "this.result = _.find(this.object.fields, { name: 'CHANNEL_ID' }).value",
                        "block": ""
                    }
                },
                {
                    "path": "@.VIDEOFORMAT",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": ""
                    },
                    "valueScript": {
                        "code": "this.result = this.parent.aspectRatio === '4:3' ? 1 : 2",
                        "block": ""
                    }
                },
                {
                    "path": "SCENARIO.METADATA",
                    "children": {
                        "ids": [
                            "fields"
                        ],
                        "source": "fields"
                    }
                },
                {
                    "path": "SCENARIO.@.ID",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": ""
                    },
                    "valueScript": {
                        "code": "this.result = _.find(this.object.fields, { name: 'scenarioId' }).value",
                        "block": ""
                    }
                }
            ]
        },
        "Fields": {
            "type": "Fields",
            "includeScript": {
                "code": "this.result = !isNaN(this.object.name)",
                "block": ""
            },
            "values": [
                {
                    "path": "@.pos",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": ""
                    },
                    "valueScript": {
                        "code": "this.result = this.object.name",
                        "block": ""
                    }
                },
                {
                    "path": "@.value",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": ""
                    },
                    "valueScript": {
                        "code": "this.result = this.object.value || ''",
                        "block": ""
                    }
                }
            ]
        }
    }
};
