"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.marinaManifest = void 0;
exports.marinaManifest = {
    id: "Marina",
    description: "Make Marina playlists",
    exportFormat: {
        type: 'xml',
        options: {
            topLevelElement: 'marinaPlaylist'
        }
    },
    transformations: {
        "Playlist": {
            "type": "Playlist",
            "topLevel": true,
            "order": 1,
            "transformKind": "playlist",
            "includeScript": {
                "code": "this.result = true",
                "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"s1o{G2oKfSfBPY-AgzAh\" x=\"-190\" y=\"-390\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"tA)!RV5P4-(yduH4q$sT\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
            },
            "values": [
                {
                    "path": "properties.channel.@.name",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"jqZ,hk,XB]mqi(:~H}Y2\" x=\"-150\" y=\"-270\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"pd=WaZXYCNrcv#fgOC]}\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    },
                    "valueScript": {
                        "code": "this.result = (String('xxx') + String(_.get(this.object, \"name\")))",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"B3e1ipP#%qq;BqQco)a@\" x=\"-330\" y=\"-150\"><value name=\"OUTPUT\"><block type=\"text_join\" id=\"yP7b1(SfOE*GR8oXk:$w\"><mutation items=\"2\"></mutation><value name=\"ADD0\"><block type=\"text\" id=\"*x6Ozf(XTUEl)H2EX+5I\"><field name=\"TEXT\">xxx</field></block></value><value name=\"ADD1\"><block type=\"transform_input\" id=\"Zkj.o;6~!5KS%bFKlC3Z\"><field name=\"INPUT\">name</field></block></value></block></value></block></xml>"
                    }
                },
                {
                    "path": "properties.channel.@.txTime",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"qSG{D@RTFPlU$].~$/JG\" x=\"-130\" y=\"-550\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"E#u$_RmT,BcsgD5qVSh*\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    },
                    "valueScript": {
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"></xml>",
                        "code": ""
                    }
                },
                {
                    "path": "properties.channel.@.timeOffset",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"qSG{D@RTFPlU$].~$/JG\" x=\"-130\" y=\"-550\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"E#u$_RmT,BcsgD5qVSh*\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    },
                    "valueScript": {
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"></xml>",
                        "code": ""
                    }
                },
                {
                    "path": "eventList",
                    "children": {
                        "ids": [
                            "primaryVideo",
                            "liveVideo",
                            "comment"
                        ],
                        "source": "events",
                        "destination": "event"
                    },
                    "includeScript": {
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"qSG{D@RTFPlU$].~$/JG\" x=\"-130\" y=\"-310\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"E#u$_RmT,BcsgD5qVSh*\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>",
                        "code": "this.result = true"
                    },
                    "valueScript": {
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_children\" id=\"zQy^*71__d./QguXcA!$\" x=\"-130\" y=\"-290\"><field name=\"CHILDREN\">primaryVideo, liveVideo, comment</field><field name=\"SOURCE\">events</field><field name=\"DEST\">event</field></block></xml>",
                        "code": "{\"ids\": [\"primaryVideo\",\"liveVideo\",\"comment\"], \"source\": \"events\", \"destination\": \"event\" }"
                    }
                }
            ]
        },
        "PrimaryVideo": {
            "type": "PrimaryVideo",
            "transformKind": "play",
            "order": 2,
            "includeScript": {
                "code": "this.result = (_.get(this.object, \"source.sourceType\") == 'media')",
                "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"N?H*i!~*:n-j7wj;z8[-\" x=\"-270\" y=\"-170\"><value name=\"OUTPUT\"><block type=\"logic_compare\" id=\"He)8pLp0k7::Ff/FSeEc\"><field name=\"OP\">EQ</field><value name=\"A\"><block type=\"transform_input\" id=\"`s$ghMWQI3o[+9G~F}qz\"><field name=\"INPUT\">source.sourceType</field></block></value><value name=\"B\"><block type=\"text\" id=\"j]aC^V))m4bkq`X.v:O?\"><field name=\"TEXT\">media</field></block></value></block></value></block></xml>"
            },
            "values": [
                {
                    "path": "@.type",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"D5Bd9hk?2/Ayc2q^m(l2\" x=\"-110\" y=\"-310\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"~1rQA|BdZe[J^ETj_Q-K\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    },
                    "valueScript": {
                        "code": "this.result = 'PrimaryVideo'",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"D5Bd9hk?2/Ayc2q^m(l2\" x=\"-130\" y=\"-170\"><value name=\"OUTPUT\"><block type=\"text\" id=\"e4W7AAX^@Xq;?:4./E+h\"><field name=\"TEXT\">PrimaryVideo</field></block></value></block></xml>"
                    }
                },
                {
                    "path": "@.enabled",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"D5Bd9hk?2/Ayc2q^m(l2\" x=\"-110\" y=\"-310\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"~1rQA|BdZe[J^ETj_Q-K\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    },
                    "valueScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"-JCFw^5b*UB0,SG0x4/N\" x=\"-70\" y=\"-130\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\".q?Mqu+]w61ZoiLs5HV=\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    }
                },
                {
                    "path": "@.timeMarker",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"D5Bd9hk?2/Ayc2q^m(l2\" x=\"-110\" y=\"-310\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"~1rQA|BdZe[J^ETj_Q-K\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    },
                    "valueScript": {
                        "code": "this.result = false",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"%WwJP{CUzTjry`.$D$zZ\" x=\"-130\" y=\"-190\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"!4.qE~V^}CPeIqD(EX7:\"><field name=\"BOOL\">FALSE</field></block></value></block></xml>"
                    }
                },
                {
                    "path": "properties.schedule",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"D5Bd9hk?2/Ayc2q^m(l2\" x=\"-110\" y=\"-310\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"~1rQA|BdZe[J^ETj_Q-K\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    },
                    "childIds": [
                        "schedule"
                    ],
                    "valueScript": {
                        "code": "{\"ids\": [\"schedule\"], \"source\": \"\", \"destination\": \"\" }",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_children\" id=\"nvYFz(fI*nN^z{+Y{ioo\" x=\"-150\" y=\"-130\"><field name=\"CHILDREN\">schedule</field><field name=\"SOURCE\"></field><field name=\"DEST\"></field></block></xml>"
                    },
                    "children": {
                        "ids": [
                            "schedule"
                        ],
                        "source": "",
                        "destination": ""
                    }
                },
                {
                    "path": "properties.mediaStream",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"D5Bd9hk?2/Ayc2q^m(l2\" x=\"-110\" y=\"-310\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"~1rQA|BdZe[J^ETj_Q-K\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    },
                    "childIds": [
                        "mediaStream"
                    ],
                    "valueScript": {
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_children\" id=\"nvYFz(fI*nN^z{+Y{ioo\" x=\"-150\" y=\"-130\"><field name=\"CHILDREN\">mediaStream</field><field name=\"SOURCE\"></field><field name=\"DEST\"></field></block></xml>",
                        "code": "{\"ids\": [\"mediaStream\"], \"source\": \"\", \"destination\": \"\" }"
                    },
                    "children": {
                        "ids": [
                            "mediaStream"
                        ],
                        "source": "",
                        "destination": ""
                    }
                },
                {
                    "path": "properties.media",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"D5Bd9hk?2/Ayc2q^m(l2\" x=\"-110\" y=\"-310\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"~1rQA|BdZe[J^ETj_Q-K\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    },
                    "childIds": [
                        "media"
                    ],
                    "valueScript": {
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_children\" id=\"nvYFz(fI*nN^z{+Y{ioo\" x=\"-150\" y=\"-130\"><field name=\"CHILDREN\">media</field><field name=\"SOURCE\"></field><field name=\"DEST\"></field></block></xml>",
                        "code": "{\"ids\": [\"media\"], \"source\": \"\", \"destination\": \"\" }"
                    },
                    "children": {
                        "ids": [
                            "media"
                        ],
                        "source": "",
                        "destination": ""
                    }
                },
                {
                    "path": "properties.event",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"D5Bd9hk?2/Ayc2q^m(l2\" x=\"-110\" y=\"-310\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"~1rQA|BdZe[J^ETj_Q-K\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    },
                    "childIds": [
                        "event"
                    ],
                    "valueScript": {
                        "code": "{\"ids\": [\"event\"], \"source\": \"\", \"destination\": \"\" }",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_children\" id=\"nvYFz(fI*nN^z{+Y{ioo\" x=\"-150\" y=\"-130\"><field name=\"CHILDREN\">event</field><field name=\"SOURCE\"></field><field name=\"DEST\"></field></block></xml>"
                    },
                    "children": {
                        "ids": [
                            "event"
                        ],
                        "source": "",
                        "destination": ""
                    }
                },
                {
                    "path": "properties.switch",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"D5Bd9hk?2/Ayc2q^m(l2\" x=\"-110\" y=\"-310\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"~1rQA|BdZe[J^ETj_Q-K\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    },
                    "childIds": [
                        "switchPrimary"
                    ],
                    "valueScript": {
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_children\" id=\"nvYFz(fI*nN^z{+Y{ioo\" x=\"-150\" y=\"-130\"><field name=\"CHILDREN\">switchPrimary</field><field name=\"SOURCE\"></field><field name=\"DEST\"></field></block></xml>",
                        "code": "{\"ids\": [\"switchPrimary\"], \"source\": \"\", \"destination\": \"\" }"
                    },
                    "children": {
                        "ids": [
                            "switchPrimary"
                        ],
                        "source": "",
                        "destination": ""
                    }
                },
                {
                    "path": "properties.features.feature",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"D5Bd9hk?2/Ayc2q^m(l2\" x=\"-110\" y=\"-310\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"~1rQA|BdZe[J^ETj_Q-K\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    },
                    "childIds": [
                        "arcFeature",
                        "audioSwitchFeature",
                        "duckEnableFeature"
                    ],
                    "valueScript": {
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_children\" id=\"nvYFz(fI*nN^z{+Y{ioo\" x=\"-150\" y=\"-130\"><field name=\"CHILDREN\">arcFeature, audioSwitchFeature, duckEnableFeature</field><field name=\"SOURCE\"></field><field name=\"DEST\"></field></block></xml>",
                        "code": "{\"ids\": [\"arcFeature\",\"audioSwitchFeature\",\"duckEnableFeature\"], \"source\": \"\", \"destination\": \"\" }"
                    },
                    "children": {
                        "ids": [
                            "arcFeature",
                            "audioSwitchFeature",
                            "duckEnableFeature"
                        ],
                        "source": "",
                        "destination": ""
                    }
                },
                {
                    "path": "childEvents",
                    "children": {
                        "ids": [
                            "cgEvent",
                            "secRecordEvent"
                        ],
                        "source": "secondaryEvents",
                        "destination": "event"
                    },
                    "includeScript": {
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"D5Bd9hk?2/Ayc2q^m(l2\" x=\"-110\" y=\"-310\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"~1rQA|BdZe[J^ETj_Q-K\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>",
                        "code": "this.result = true"
                    },
                    "valueScript": {
                        "code": "{\"ids\": [\"cgEvent\",\"secRecordEvent\"], \"source\": \"secondaryEvents\", \"destination\": \"event\" }",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_children\" id=\"nvYFz(fI*nN^z{+Y{ioo\" x=\"-150\" y=\"-130\"><field name=\"CHILDREN\">cgEvent, secRecordEvent</field><field name=\"SOURCE\">secondaryEvents</field><field name=\"DEST\">event</field></block></xml>"
                    }
                }
            ]
        },
        "LiveVideo": {
            "type": "LiveVideo",
            "transformKind": "play",
            "order": 3,
            "includeScript": {
                "code": "this.result = (_.get(this.object, \"source.sourceType\") == 'router')",
                "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"N?H*i!~*:n-j7wj;z8[-\" x=\"-270\" y=\"-170\"><value name=\"OUTPUT\"><block type=\"logic_compare\" id=\"He)8pLp0k7::Ff/FSeEc\"><field name=\"OP\">EQ</field><value name=\"A\"><block type=\"transform_input\" id=\"`s$ghMWQI3o[+9G~F}qz\"><field name=\"INPUT\">source.sourceType</field></block></value><value name=\"B\"><block type=\"text\" id=\"j]aC^V))m4bkq`X.v:O?\"><field name=\"TEXT\">router</field></block></value></block></value></block></xml>"
            },
            "values": [
                {
                    "path": "@.type",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"D5Bd9hk?2/Ayc2q^m(l2\" x=\"-110\" y=\"-310\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"~1rQA|BdZe[J^ETj_Q-K\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    },
                    "valueScript": {
                        "code": "this.result = 'Live'",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"jSq%lfAYf6~:(GUNaytU\" x=\"-150\" y=\"-190\"><value name=\"OUTPUT\"><block type=\"text\" id=\"6brscclJfPCs%NutmOhV\"><field name=\"TEXT\">Live</field></block></value></block></xml>"
                    }
                },
                {
                    "path": "@.enabled",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"D5Bd9hk?2/Ayc2q^m(l2\" x=\"-110\" y=\"-190\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"~1rQA|BdZe[J^ETj_Q-K\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    },
                    "valueScript": {
                        "code": "this.result = this.object[\"enabled\"]",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"MF}iYy3|)[[?LNNB__)U\" x=\"-230\" y=\"-310\"><value name=\"OUTPUT\"><block type=\"transform_input\" id=\"]xUrQ}vDu././?2GTjI0\"><field name=\"INPUT\">enabled</field></block></value></block></xml>"
                    }
                },
                {
                    "path": "@.timeMarker",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"D5Bd9hk?2/Ayc2q^m(l2\" x=\"-110\" y=\"-310\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"~1rQA|BdZe[J^ETj_Q-K\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    },
                    "valueScript": {
                        "code": "this.result = false",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"(H5LT;iR.ur;hVQ;;*p*\" x=\"-150\" y=\"-170\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"VAIcJ[Kdh4@rj*)qc%{L\"><field name=\"BOOL\">FALSE</field></block></value></block></xml>"
                    }
                },
                {
                    "path": "properties.schedule",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"D5Bd9hk?2/Ayc2q^m(l2\" x=\"-110\" y=\"-310\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"~1rQA|BdZe[J^ETj_Q-K\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    },
                    "childIds": [
                        "schedule"
                    ],
                    "valueScript": {
                        "code": "{\"ids\": [\"schedule\"], \"source\": \"\", \"destination\": \"\" }",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_children\" id=\"nvYFz(fI*nN^z{+Y{ioo\" x=\"-150\" y=\"-130\"><field name=\"CHILDREN\">schedule</field><field name=\"SOURCE\"></field><field name=\"DEST\"></field></block></xml>"
                    },
                    "children": {
                        "ids": [
                            "schedule"
                        ],
                        "source": "",
                        "destination": ""
                    }
                },
                {
                    "path": "properties.event",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"D5Bd9hk?2/Ayc2q^m(l2\" x=\"-110\" y=\"-310\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"~1rQA|BdZe[J^ETj_Q-K\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    },
                    "childIds": [
                        "event"
                    ],
                    "valueScript": {
                        "code": "{\"ids\": [\"event\"], \"source\": \"\", \"destination\": \"\" }",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_children\" id=\"nvYFz(fI*nN^z{+Y{ioo\" x=\"-150\" y=\"-130\"><field name=\"CHILDREN\">event</field><field name=\"SOURCE\"></field><field name=\"DEST\"></field></block></xml>"
                    },
                    "children": {
                        "ids": [
                            "event"
                        ],
                        "source": "",
                        "destination": ""
                    }
                },
                {
                    "path": "properties.switch",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"D5Bd9hk?2/Ayc2q^m(l2\" x=\"-110\" y=\"-310\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"~1rQA|BdZe[J^ETj_Q-K\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    },
                    "childIds": [
                        "switchLive"
                    ],
                    "valueScript": {
                        "code": "{\"ids\": [\"switchLive\"], \"source\": \"\", \"destination\": \"\" }",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_children\" id=\"nvYFz(fI*nN^z{+Y{ioo\" x=\"-150\" y=\"-130\"><field name=\"CHILDREN\">switchLive</field><field name=\"SOURCE\"></field><field name=\"DEST\"></field></block></xml>"
                    },
                    "children": {
                        "ids": [
                            "switchLive"
                        ],
                        "source": "",
                        "destination": ""
                    }
                },
                {
                    "path": "properties.features.feature",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"D5Bd9hk?2/Ayc2q^m(l2\" x=\"-110\" y=\"-310\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"~1rQA|BdZe[J^ETj_Q-K\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    },
                    "childIds": [
                        "arcFeature",
                        "audioSwitchFeature",
                        "duckEnableFeature"
                    ],
                    "valueScript": {
                        "code": "{\"ids\": [\"arcFeature\",\"audioSwitchFeature\",\"duckEnableFeature\"], \"source\": \"\", \"destination\": \"\" }",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_children\" id=\"nvYFz(fI*nN^z{+Y{ioo\" x=\"-150\" y=\"-130\"><field name=\"CHILDREN\">arcFeature, audioSwitchFeature, duckEnableFeature</field><field name=\"SOURCE\"></field><field name=\"DEST\"></field></block></xml>"
                    },
                    "children": {
                        "ids": [
                            "arcFeature",
                            "audioSwitchFeature",
                            "duckEnableFeature"
                        ],
                        "source": "",
                        "destination": ""
                    }
                },
                {
                    "path": "childEvents",
                    "children": {
                        "ids": [
                            "cgEvent",
                            "secRecordEvent"
                        ],
                        "source": "secondaryEvents",
                        "destination": "event"
                    },
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"D5Bd9hk?2/Ayc2q^m(l2\" x=\"-110\" y=\"-310\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"~1rQA|BdZe[J^ETj_Q-K\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    },
                    "valueScript": {
                        "code": "{\"ids\": [\"cgEvent\",\"secRecordEvent\"], \"source\": \"secondaryEvents\", \"destination\": \"event\" }",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_children\" id=\"nvYFz(fI*nN^z{+Y{ioo\" x=\"-170\" y=\"-110\"><field name=\"CHILDREN\">cgEvent, secRecordEvent</field><field name=\"SOURCE\">secondaryEvents</field><field name=\"DEST\">event</field></block></xml>"
                    }
                }
            ]
        },
        "Comment": {
            "type": "Comment",
            "transformKind": "play",
            "order": 4,
            "includeScript": {
                "code": "this.result = (_.get(this.object, \"eventType\") == 'comment')",
                "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"N?H*i!~*:n-j7wj;z8[-\" x=\"-270\" y=\"-170\"><value name=\"OUTPUT\"><block type=\"logic_compare\" id=\"He)8pLp0k7::Ff/FSeEc\"><field name=\"OP\">EQ</field><value name=\"A\"><block type=\"transform_input\" id=\"`s$ghMWQI3o[+9G~F}qz\"><field name=\"INPUT\">eventType</field></block></value><value name=\"B\"><block type=\"text\" id=\"j]aC^V))m4bkq`X.v:O?\"><field name=\"TEXT\">comment</field></block></value></block></value></block></xml>"
            },
            "values": [
                {
                    "path": "@.type",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"D5Bd9hk?2/Ayc2q^m(l2\" x=\"-110\" y=\"-310\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"~1rQA|BdZe[J^ETj_Q-K\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    },
                    "valueScript": {
                        "code": "this.result = 'Comment'",
                        "block": ""
                    }
                },
                {
                    "path": "properties.event.@.title",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"D5Bd9hk?2/Ayc2q^m(l2\" x=\"-110\" y=\"-310\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"~1rQA|BdZe[J^ETj_Q-K\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    },
                    "valueScript": {
                        "code": "this.result = this.object.title",
                        "block": ""
                    }
                },
                {
                    "path": "properties.event.comment",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"D5Bd9hk?2/Ayc2q^m(l2\" x=\"-110\" y=\"-310\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"~1rQA|BdZe[J^ETj_Q-K\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    },
                    "valueScript": {
                        "code": "this.result = this.object.comment",
                        "block": ""
                    }
                }
            ]
        },
        "Schedule": {
            "type": "Schedule",
            "transformKind": "play",
            "order": 5,
            "includeScript": {
                "code": "this.result = true",
                "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"m#%gGgTIz(Tyg}ooARUB\" x=\"-70\" y=\"-210\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"Y+]?gZK+([U:L.T4mk?_\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
            },
            "values": [
                {
                    "path": "@.endType",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"D5Bd9hk?2/Ayc2q^m(l2\" x=\"-110\" y=\"-310\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"~1rQA|BdZe[J^ETj_Q-K\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    },
                    "valueScript": {
                        "code": "this.result = 'Duration'",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"bi~~9[IB[2.#:_]{Rau]\" x=\"-190\" y=\"-230\"><value name=\"OUTPUT\"><block type=\"text\" id=\"|:f}fD^sD]1/@no)EYxZ\"><field name=\"TEXT\">Duration</field></block></value></block></xml>"
                    }
                },
                {
                    "path": "@.endOffset",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"D5Bd9hk?2/Ayc2q^m(l2\" x=\"-110\" y=\"-310\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"~1rQA|BdZe[J^ETj_Q-K\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    },
                    "valueScript": {
                        "code": "this.result = BDuration.fromJson(this.object[\"duration\"])",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"dp?ZZH.w/hidLLN1}HAA\" x=\"-250\" y=\"-670\"><value name=\"OUTPUT\"><block type=\"transform_input\" id=\"tCaP|uy0Y~g.[rU8Db{8\"><field name=\"INPUT\">duration</field></block></value></block></xml>"
                    }
                },
                {
                    "path": "@.startType",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"D5Bd9hk?2/Ayc2q^m(l2\" x=\"-110\" y=\"-310\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"~1rQA|BdZe[J^ETj_Q-K\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    },
                    "valueScript": {
                        "code": "if (_.get(this.object, \"startMode\") == 'follow') {\n  this.result = 'Sequential'} else {\n  this.result = 'Fixed'}\n",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"controls_if\" id=\"dkg66sON7(n9RZ;J.*lU\" x=\"-230\" y=\"-150\"><mutation else=\"1\"></mutation><value name=\"IF0\"><block type=\"logic_compare\" id=\"$uw$j^s.G]*Vn4g%-Snu\"><field name=\"OP\">EQ</field><value name=\"A\"><block type=\"transform_input\" id=\"0{w;`Ao;IOnTB]11|c@O\"><field name=\"INPUT\">startMode</field></block></value><value name=\"B\"><block type=\"text\" id=\":yWwM0b/k|XgF}LJ0d.t\"><field name=\"TEXT\">follow</field></block></value></block></value><statement name=\"DO0\"><block type=\"transform_output\" id=\"{`XMW^Ss91L=7w*?%YKa\"><value name=\"OUTPUT\"><block type=\"text\" id=\"c7@S0[+e`%hM(F~}S!t/\"><field name=\"TEXT\">Sequential</field></block></value></block></statement><statement name=\"ELSE\"><block type=\"transform_output\" id=\"aHxj:Z5f~BSiE1eP3b3%\"><value name=\"OUTPUT\"><block type=\"text\" id=\"lA,Vp9o^G8^6`97bO;w0\"><field name=\"TEXT\">Fixed</field></block></value></block></statement></block></xml>"
                    }
                },
                {
                    "path": "@.startOffset",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"D5Bd9hk?2/Ayc2q^m(l2\" x=\"-110\" y=\"-310\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"~1rQA|BdZe[J^ETj_Q-K\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    },
                    "valueScript": {
                        "code": "function datetime_outputdatetime(value_datetime, dropdown_format, value_custom_format) {\n                if (dropdown_format === 'ISO_8601_WITH_FRAMES') {\n                    return value_datetime.getDateString() + 'T' + value_datetime.getTimeString();\n                } else if (dropdown_format === 'ISO_8601') {\n                    return value_datetime.toIsoString();\n                } else if (dropdown_format === 'DATEPART') {\n                    return value_datetime.getDateString();\n                } else if (dropdown_format === 'TIMEPART') {\n                    return value_datetime.getTimeString();\n                } else if(dropdown_format === 'CUSTOM') {\n                    return value_datetime\n                }\n            }\n\n\nthis.result = (datetime_outputdatetime(BDateTime.fromJson(_.get(this.object, \"startDate\")), \"ISO_8601_WITH_FRAMES\", ))",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"K.FmB/2gt7r6)iEa}|p?\" x=\"-250\" y=\"-90\"><value name=\"OUTPUT\"><block type=\"bdatetime_outputdatetime\" id=\")%_;[!2Fmab_](!hZ9G}\"><mutation format_input=\"false\"></mutation><field name=\"FORMAT\">ISO_8601_WITH_FRAMES</field><value name=\"DATETIME\"><block type=\"transform_input\" id=\"?(!3[z{52S1$1wtoWFG-\"><field name=\"INPUT\">startDate</field></block></value></block></value></block></xml>"
                    }
                }
            ]
        },
        "Event": {
            "type": "Event",
            "transformKind": "play",
            "order": 6,
            "includeScript": {
                "code": "this.result = true",
                "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"m#%gGgTIz(Tyg}ooARUB\" x=\"-70\" y=\"-210\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"Y+]?gZK+([U:L.T4mk?_\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
            },
            "values": [
                {
                    "path": "@.title",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"D5Bd9hk?2/Ayc2q^m(l2\" x=\"-110\" y=\"-310\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"~1rQA|BdZe[J^ETj_Q-K\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    },
                    "valueScript": {
                        "code": "this.result = _.get(this.object, \"title\")",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"M6/NS%9IiY%%aKnNeJ8p\" x=\"-130\" y=\"-290\"><value name=\"OUTPUT\"><block type=\"transform_input\" id=\"h3vA_f:Lgcj|s16|eVyA\"><field name=\"INPUT\">title</field></block></value></block></xml>"
                    }
                },
                {
                    "path": "@.reconcileKey",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"D5Bd9hk?2/Ayc2q^m(l2\" x=\"-110\" y=\"-310\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"~1rQA|BdZe[J^ETj_Q-K\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    },
                    "valueScript": {
                        "code": "this.result = _.get(this.object, \"reconcileId\")",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"MMjWjUIy4A7Q^x4)?Utd\" x=\"-150\" y=\"-490\"><value name=\"OUTPUT\"><block type=\"transform_input\" id=\"Y]/Q=XebcBrO}3P`6+^@\"><field name=\"INPUT\">reconcileId</field></block></value></block></xml>"
                    }
                },
                {
                    "path": "@.houseId",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"D5Bd9hk?2/Ayc2q^m(l2\" x=\"-110\" y=\"-310\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"~1rQA|BdZe[J^ETj_Q-K\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    },
                    "valueScript": {
                        "code": "this.result = _.get(this.object, \"eventId\")",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"4tgO5sumF%hlO|C_n9xQ\" x=\"-130\" y=\"-550\"><value name=\"OUTPUT\"><block type=\"transform_input\" id=\"N7h^iuXxOB42AkZQ!{3S\"><field name=\"INPUT\">eventId</field></block></value></block></xml>"
                    }
                },
                {
                    "path": "classifications.classification",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"D5Bd9hk?2/Ayc2q^m(l2\" x=\"-110\" y=\"-310\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"~1rQA|BdZe[J^ETj_Q-K\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    },
                    "childIds": [
                        "classification"
                    ],
                    "valueScript": {
                        "code": "{\"ids\": [\"classification\"], \"source\": \"\", \"destination\": \"\" }",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_children\" id=\"nvYFz(fI*nN^z{+Y{ioo\" x=\"-150\" y=\"-130\"><field name=\"CHILDREN\">classification</field><field name=\"SOURCE\"></field><field name=\"DEST\"></field></block></xml>"
                    },
                    "children": {
                        "ids": [
                            "classification"
                        ],
                        "source": "",
                        "destination": ""
                    }
                }
            ]
        },
        "MediaStream": {
            "type": "MediaStream",
            "transformKind": "play",
            "order": 7,
            "includeScript": {
                "code": "this.result = true",
                "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"m#%gGgTIz(Tyg}ooARUB\" x=\"-70\" y=\"-210\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"Y+]?gZK+([U:L.T4mk?_\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
            },
            "values": [
                {
                    "path": "@.som",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"D5Bd9hk?2/Ayc2q^m(l2\" x=\"-110\" y=\"-310\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"~1rQA|BdZe[J^ETj_Q-K\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    },
                    "valueScript": {
                        "code": "function bdatetime_outputdatetime(value_datetime, dropdown_format, value_custom_format) {\n                if (dropdown_format === 'ISO_8601_WITH_FRAMES') {\n                    return value_datetime.getDateString() + 'T' + value_datetime.getTimeString();\n                } else if (dropdown_format === 'ISO_8601') {\n                    return value_datetime.toIsoString();\n                } else if (dropdown_format === 'DATEPART') {\n                    return value_datetime.getDateString();\n                } else if (dropdown_format === 'TIMEPART') {\n                    return value_datetime.getTimeString();\n                } else if(dropdown_format === 'CUSTOM') {\n                    return value_datetime\n                }\n            }\n\n\nthis.result = (bdatetime_outputdatetime(BDateTime.fromJson(_.get(this.object, \"source.som\")), \"TIMEPART\", ))",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"lhuNxobG/$_(!`}9M*j?\" x=\"-270\" y=\"-310\"><value name=\"OUTPUT\"><block type=\"bdatetime_outputdatetime\" id=\"sEv)J~#CkoePv*ntn4H)\"><mutation format_input=\"false\"></mutation><field name=\"FORMAT\">TIMEPART</field><value name=\"DATETIME\"><block type=\"transform_input\" id=\"jN?*p%jcH}_^U:$PmX`#\"><field name=\"INPUT\">source.som</field></block></value></block></value></block></xml>"
                    }
                },
                {
                    "path": "video.@.jobType",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"D5Bd9hk?2/Ayc2q^m(l2\" x=\"-110\" y=\"-310\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"~1rQA|BdZe[J^ETj_Q-K\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    },
                    "valueScript": {
                        "code": "this.result = 'Play'",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"^K)_QDsRQx.gp{|UQev@\" x=\"-130\" y=\"-250\"><value name=\"OUTPUT\"><block type=\"text\" id=\"OfO3W4IsQ-B[I$a3%;N=\"><field name=\"TEXT\">Play</field></block></value></block></xml>"
                    }
                },
                {
                    "path": "segment.@.type",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"D5Bd9hk?2/Ayc2q^m(l2\" x=\"-110\" y=\"-310\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"~1rQA|BdZe[J^ETj_Q-K\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    },
                    "valueScript": {
                        "code": "this.result = 'User'",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"3+N)+D5,1FHB{=k=52EU\" x=\"-110\" y=\"-170\"><value name=\"OUTPUT\"><block type=\"text\" id=\"DaA0Jqp5Z$XUU.pe%A^V\"><field name=\"TEXT\">User</field></block></value></block></xml>"
                    }
                }
            ]
        },
        "Media": {
            "type": "Media",
            "transformKind": "play",
            "order": 8,
            "includeScript": {
                "code": "this.result = true",
                "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"m#%gGgTIz(Tyg}ooARUB\" x=\"-70\" y=\"-210\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"Y+]?gZK+([U:L.T4mk?_\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
            },
            "values": [
                {
                    "path": "@.mediaName",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"D5Bd9hk?2/Ayc2q^m(l2\" x=\"-110\" y=\"-310\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"~1rQA|BdZe[J^ETj_Q-K\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    },
                    "valueScript": {
                        "code": "this.result = _.get(this.object, \"source.materialId\")",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\",iN8tdRvlvrR_EXTK7tn\" x=\"-150\" y=\"-210\"><value name=\"OUTPUT\"><block type=\"transform_input\" id=\"QpmdmhxNG{N6^RS#I`{O\"><field name=\"INPUT\">source.materialId</field></block></value></block></xml>"
                    }
                },
                {
                    "path": "@.mediaType",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"D5Bd9hk?2/Ayc2q^m(l2\" x=\"-110\" y=\"-310\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"~1rQA|BdZe[J^ETj_Q-K\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    },
                    "valueScript": {
                        "code": "this.result = 'Video'",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"8j|XK8;ZSqhTmjISpYz|\" x=\"-50\" y=\"-150\"><value name=\"OUTPUT\"><block type=\"text\" id=\";o]}HYp9jn9$+h*Dm$eB\"><field name=\"TEXT\">Video</field></block></value></block></xml>"
                    }
                }
            ]
        },
        "Switch": {
            "type": "Switch",
            "transformKind": "play",
            "order": 8.25,
            "includeScript": {
                "code": "this.result = true",
                "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"m#%gGgTIz(Tyg}ooARUB\" x=\"-70\" y=\"-210\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"Y+]?gZK+([U:L.T4mk?_\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
            },
            "values": [
                {
                    "path": "@.transition",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"D5Bd9hk?2/Ayc2q^m(l2\" x=\"-110\" y=\"-310\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"~1rQA|BdZe[J^ETj_Q-K\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    },
                    "valueScript": {
                        "code": "this.result = _.get(this.object, \"transition.video.type\")",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"xj~ePx_T_^),8*:R0/gy\" x=\"-130\" y=\"-490\"><value name=\"OUTPUT\"><block type=\"transform_input\" id=\"*+q1)woEw/|m8k0Oi=T$\"><field name=\"INPUT\">transition.video.type</field></block></value></block></xml>"
                    }
                },
                {
                    "path": "@.rate",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"D5Bd9hk?2/Ayc2q^m(l2\" x=\"-110\" y=\"-310\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"~1rQA|BdZe[J^ETj_Q-K\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    },
                    "valueScript": {
                        "code": "function bdatetime_outputduration(value_duration, dropdown_format) {\n                if (dropdown_format === 'TIMECODE') {\n                    return value_duration.toString();\n                } else if (dropdown_format === 'NUMBER_OF_HOURS') {\n                    return value_duration.getHours();\n                } else if (dropdown_format === 'NUMBER_OF_MINUTES') {\n                    return value_duration.getMinutes();\n                } else if(dropdown_format === 'NUMBER_OF_SECONDS') {\n                    return value_duration.getSeconds();\n                } else if(dropdown_format === 'NUMBER_OF_MILLISECONDS') {\n                    return value_duration.getMilliseconds();\n                } else if(dropdown_format === 'NUMBER_OF_FRAMES') {\n                    return value_duration.getFrames();\n                }\n            }\n\n\nif (bdatetime_outputduration(BDuration.fromJson(_.get(this.object, \"transition.video.duration\")), \"NUMBER_OF_FRAMES\") < 5) {\n  this.result = 'Fast'} else {\n  this.result = 'Medium'}\n",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"controls_if\" id=\"_07)[d_BTSN9%c=62t/0\" x=\"-110\" y=\"-570\"><mutation else=\"1\"></mutation><value name=\"IF0\"><block type=\"logic_compare\" id=\";(MUyjL!Ee[LE2a6^9lV\" inline=\"false\"><field name=\"OP\">LT</field><value name=\"A\"><block type=\"bdatetime_outputduration\" id=\"HlY5wX}Gfk=vX9nmsU.:\" inline=\"false\"><field name=\"FORMAT\">NUMBER_OF_FRAMES</field><value name=\"DURATION\"><block type=\"transform_input\" id=\"9BK?SV%YqIrzy@ooD?n2\"><field name=\"INPUT\">transition.video.duration</field></block></value></block></value><value name=\"B\"><block type=\"math_number\" id=\"xhsC3z]m^!+2DWz?,4yT\"><field name=\"NUM\">5</field></block></value></block></value><statement name=\"DO0\"><block type=\"transform_output\" id=\"lmX4~64tH@9^/@KdMaJO\"><value name=\"OUTPUT\"><block type=\"text\" id=\"h=eEDN`L|hHf{f8A]wVc\"><field name=\"TEXT\">Fast</field></block></value></block></statement><statement name=\"ELSE\"><block type=\"transform_output\" id=\"5eX|@LdCpknEG{YnGnAL\"><value name=\"OUTPUT\"><block type=\"text\" id=\"q]VJb|f=TGsNXTaHNaja\"><field name=\"TEXT\">Medium</field></block></value></block></statement></block></xml>"
                    }
                },
                {
                    "path": "source.@.type",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"D5Bd9hk?2/Ayc2q^m(l2\" x=\"-110\" y=\"-310\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"~1rQA|BdZe[J^ETj_Q-K\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    },
                    "valueScript": {
                        "code": "this.result = 'Auto'",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"e%XFT6JlV/Un%vO)bxAJ\" x=\"-130\" y=\"-230\"><value name=\"OUTPUT\"><block type=\"text\" id=\"ACz2Ne8A+Z-+-:#xfsbC\"><field name=\"TEXT\">Auto</field></block></value></block></xml>"
                    }
                },
                {
                    "path": "source.auto.@.type",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"D5Bd9hk?2/Ayc2q^m(l2\" x=\"-110\" y=\"-310\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"~1rQA|BdZe[J^ETj_Q-K\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    },
                    "valueScript": {
                        "code": "this.result = 'MediaStream'",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"e%XFT6JlV/Un%vO)bxAJ\" x=\"-129\" y=\"-230\"><value name=\"OUTPUT\"><block type=\"text\" id=\"ACz2Ne8A+Z-+-:#xfsbC\"><field name=\"TEXT\">MediaStream</field></block></value></block></xml>"
                    }
                },
                {
                    "path": "destination.@.type",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"D5Bd9hk?2/Ayc2q^m(l2\" x=\"-110\" y=\"-310\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"~1rQA|BdZe[J^ETj_Q-K\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    },
                    "valueScript": {
                        "code": "this.result = 'Auto'",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"e%XFT6JlV/Un%vO)bxAJ\" x=\"-129\" y=\"-230\"><value name=\"OUTPUT\"><block type=\"text\" id=\"ACz2Ne8A+Z-+-:#xfsbC\"><field name=\"TEXT\">Auto</field></block></value></block></xml>"
                    }
                },
                {
                    "path": "destination.auto.@.type",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"D5Bd9hk?2/Ayc2q^m(l2\" x=\"-110\" y=\"-310\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"~1rQA|BdZe[J^ETj_Q-K\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    },
                    "valueScript": {
                        "code": "this.result = 'PGM'",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"e%XFT6JlV/Un%vO)bxAJ\" x=\"-129\" y=\"-230\"><value name=\"OUTPUT\"><block type=\"text\" id=\"ACz2Ne8A+Z-+-:#xfsbC\"><field name=\"TEXT\">PGM</field></block></value></block></xml>"
                    }
                }
            ]
        },
        "Classification": {
            "type": "Classification",
            "transformKind": "play",
            "order": 12,
            "includeScript": {
                "code": "this.result = true",
                "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"m#%gGgTIz(Tyg}ooARUB\" x=\"-70\" y=\"-210\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"Y+]?gZK+([U:L.T4mk?_\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
            },
            "values": [
                {
                    "path": "@.xmlns:xsi",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"D5Bd9hk?2/Ayc2q^m(l2\" x=\"-110\" y=\"-310\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"~1rQA|BdZe[J^ETj_Q-K\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    },
                    "valueScript": {
                        "code": "this.result = 'http://www.w3.org/2001/XMLSchema-instance'",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"BIORck*ir=rw[=ntV:PI\" x=\"-150\" y=\"-210\"><value name=\"OUTPUT\"><block type=\"text\" id=\"WcGdFFd,(KHpD3.23`^Q\"><field name=\"TEXT\">http://www.w3.org/2001/XMLSchema-instance</field></block></value></block></xml>"
                    }
                },
                {
                    "path": "@.xsi:type",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"D5Bd9hk?2/Ayc2q^m(l2\" x=\"-110\" y=\"-310\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"~1rQA|BdZe[J^ETj_Q-K\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    },
                    "valueScript": {
                        "code": "this.result = 'eventClassification'",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"0=PjgNv3g88A*h=kkNVC\" x=\"-130\" y=\"-230\"><value name=\"OUTPUT\"><block type=\"text\" id=\"~{c6A5+G!2{3++0xmqf5\"><field name=\"TEXT\">eventClassification</field></block></value></block></xml>"
                    }
                },
                {
                    "path": "@.classification",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"D5Bd9hk?2/Ayc2q^m(l2\" x=\"-110\" y=\"-310\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"~1rQA|BdZe[J^ETj_Q-K\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    },
                    "valueScript": {
                        "code": "this.result = 'EventType'",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"en,Oa*^%znpzuo7dMbzH\" x=\"-110\" y=\"-270\"><value name=\"OUTPUT\"><block type=\"text\" id=\"r0gGo?F4lEmF9pp+Hzd[\"><field name=\"TEXT\">EventType</field></block></value></block></xml>"
                    }
                },
                {
                    "path": "@.category",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"D5Bd9hk?2/Ayc2q^m(l2\" x=\"-110\" y=\"-310\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"~1rQA|BdZe[J^ETj_Q-K\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    },
                    "valueScript": {
                        "code": "this.result = _.get(this.object, \"eventCategory\")",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"=u*2MG7i1kj]WKx|P}h6\" x=\"-90\" y=\"-290\"><value name=\"OUTPUT\"><block type=\"transform_input\" id=\"Q%/(8xkP[~dL0safjvnP\"><field name=\"INPUT\">eventCategory</field></block></value></block></xml>"
                    }
                }
            ]
        },
        "ArcFeature": {
            "type": "ARCFeature",
            "transformKind": "play",
            "order": 13,
            "includeScript": {
                "code": "this.result = true",
                "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"m#%gGgTIz(Tyg}ooARUB\" x=\"-70\" y=\"-210\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"Y+]?gZK+([U:L.T4mk?_\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
            },
            "values": [
                {
                    "path": "@.type",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"D5Bd9hk?2/Ayc2q^m(l2\" x=\"-110\" y=\"-310\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"~1rQA|BdZe[J^ETj_Q-K\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    },
                    "valueScript": {
                        "code": "this.result = 'ARC'",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"T+E:+:2$^y18MzDvSE0V\" x=\"-170\" y=\"-470\"><value name=\"OUTPUT\"><block type=\"text\" id=\"gZVs#yj~wGS_ZJDT6`xa\"><field name=\"TEXT\">ARC</field></block></value></block></xml>"
                    }
                },
                {
                    "path": "properties.macro.@.type",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"D5Bd9hk?2/Ayc2q^m(l2\" x=\"-110\" y=\"-310\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"~1rQA|BdZe[J^ETj_Q-K\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    },
                    "valueScript": {
                        "code": "this.result = '16:9'",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"T+E:+:2$^y18MzDvSE0V\" x=\"-169\" y=\"-470\"><value name=\"OUTPUT\"><block type=\"text\" id=\"gZVs#yj~wGS_ZJDT6`xa\"><field name=\"TEXT\">16:9</field></block></value></block></xml>"
                    },
                    "options": [
                        "16:9",
                        "4:3"
                    ]
                }
            ]
        },
        "AudioSwitchFeature": {
            "type": "AudioSwitchFeature",
            "transformKind": "play",
            "order": 14,
            "includeScript": {
                "code": "this.result = (!!_.get(this.object, \"audioTechnical.output\").length)",
                "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"m#%gGgTIz(Tyg}ooARUB\" x=\"-270\" y=\"-150\"><value name=\"OUTPUT\"><block type=\"logic_negate\" id=\"pHVa66h/-zBi@=ZTw_:8\"><value name=\"BOOL\"><block type=\"text_isEmpty\" id=\".,!lK5-b*4vCe]WG#icn\"><value name=\"VALUE\"><shadow type=\"text\" id=\"Q51i/jqKOKC2XPVI:1H5\"><field name=\"TEXT\"></field></shadow><block type=\"transform_input\" id=\"GY7S(/gI0u;u:D!iGc)G\"><field name=\"INPUT\">audioTechnical.output</field></block></value></block></value></block></value></block></xml>"
            },
            "values": [
                {
                    "path": "@.type",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"D5Bd9hk?2/Ayc2q^m(l2\" x=\"-110\" y=\"-310\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"~1rQA|BdZe[J^ETj_Q-K\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    },
                    "valueScript": {
                        "code": "this.result = 'AudioSwitch'",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"lH(OvbhJdfQ0Yb1_2[f(\" x=\"-210\" y=\"-530\"><value name=\"OUTPUT\"><block type=\"text\" id=\"AtEJql@{4Ulerg.7P3BE\"><field name=\"TEXT\">AudioSwitch</field></block></value></block></xml>"
                    }
                },
                {
                    "path": "properties.macro.@.type",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"D5Bd9hk?2/Ayc2q^m(l2\" x=\"-110\" y=\"-310\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"~1rQA|BdZe[J^ETj_Q-K\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    },
                    "valueScript": {
                        "code": "this.result = _.get(this.object, \"audioTechnical.output\")",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"^?!,XUXeUAOtJi`Z#j|;\" x=\"-230\" y=\"-510\"><value name=\"OUTPUT\"><block type=\"transform_input\" id=\"T2n{)l2ASk#QnC$.+Z8x\"><field name=\"INPUT\">audioTechnical.output</field></block></value></block></xml>"
                    },
                    "options": [
                        "mono",
                        "stereo"
                    ]
                }
            ]
        },
        "DuckEnableFeature": {
            "type": "DuckEnableFeature",
            "transformKind": "play",
            "order": 15,
            "includeScript": {
                "code": "this.result = true",
                "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"m#%gGgTIz(Tyg}ooARUB\" x=\"-70\" y=\"-210\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"Y+]?gZK+([U:L.T4mk?_\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
            },
            "values": [
                {
                    "path": "@.type",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"D5Bd9hk?2/Ayc2q^m(l2\" x=\"-110\" y=\"-310\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"~1rQA|BdZe[J^ETj_Q-K\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    },
                    "valueScript": {
                        "code": "this.result = 'AudioDuck'",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"lH(OvbhJdfQ0Yb1_2[f(\" x=\"-210\" y=\"-530\"><value name=\"OUTPUT\"><block type=\"text\" id=\"AtEJql@{4Ulerg.7P3BE\"><field name=\"TEXT\">AudioDuck</field></block></value></block></xml>"
                    }
                },
                {
                    "path": "properties.macro.@.type",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"D5Bd9hk?2/Ayc2q^m(l2\" x=\"-110\" y=\"-310\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"~1rQA|BdZe[J^ETj_Q-K\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    },
                    "valueScript": {
                        "code": "if (_.get(this.object, \"audioTechnical.duckEnable\")) {\n  this.result = 'on'} else {\n  this.result = 'off'}\n",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"controls_if\" id=\"oU?T16(NZsV32]x3@GV~\" x=\"-230\" y=\"-130\"><mutation else=\"1\"></mutation><value name=\"IF0\"><block type=\"transform_input\" id=\"Z{TKJn_e+UFzd,#}qD0;\"><field name=\"INPUT\">audioTechnical.duckEnable</field></block></value><statement name=\"DO0\"><block type=\"transform_output\" id=\"2Kd)mt7:Z-6+C#./0q`n\"><value name=\"OUTPUT\"><block type=\"text\" id=\"T,q$Y4+#z~Dp;qNs)^in\"><field name=\"TEXT\">on</field></block></value></block></statement><statement name=\"ELSE\"><block type=\"transform_output\" id=\"9kDUH#RUBd}tCpQ#0pMg\"><value name=\"OUTPUT\"><block type=\"text\" id=\"Z!xn!%Fj0:$xAm%mOE^/\"><field name=\"TEXT\">off</field></block></value></block></statement></block></xml>"
                    },
                    "options": [
                        "mono",
                        "stereo"
                    ]
                }
            ]
        },
        "CGEvent": {
            "type": "CGEvent",
            "transformKind": "graphic",
            "order": 18,
            "includeScript": {
                "code": "this.result = (_.get(this.object, \"eventType\") == 'graphic')",
                "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\":{|]mhcWT#ApmcY%;xHK\" x=\"-250\" y=\"-170\"><value name=\"OUTPUT\"><block type=\"logic_compare\" id=\"LX1n2ZB]*a[@g;FP=ISq\"><field name=\"OP\">EQ</field><value name=\"A\"><block type=\"transform_input\" id=\"GygmG$zfq+V*_^N;]0oD\"><field name=\"INPUT\">eventType</field></block></value><value name=\"B\"><block type=\"text\" id=\"jR*muvXtD[ES,9:r=Gxu\"><field name=\"TEXT\">graphic</field></block></value></block></value></block></xml>"
            },
            "values": [
                {
                    "path": "@.type",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"D5Bd9hk?2/Ayc2q^m(l2\" x=\"-110\" y=\"-310\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"~1rQA|BdZe[J^ETj_Q-K\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    },
                    "valueScript": {
                        "code": "this.result = 'CG'",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"~Hu?d%ui+1K~6KhvKBGG\" x=\"-210\" y=\"-570\"><value name=\"OUTPUT\"><block type=\"text\" id=\"CiR-38NGj6KB:?5!AwI+\"><field name=\"TEXT\">CG</field></block></value></block></xml>"
                    }
                },
                {
                    "path": "properties.schedule.@.startType",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"D5Bd9hk?2/Ayc2q^m(l2\" x=\"-110\" y=\"-310\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"~1rQA|BdZe[J^ETj_Q-K\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    },
                    "valueScript": {
                        "code": "if (_.get(this.object, \"startMode\") == 'offsetFromParentStart') {\n  this.result = '+ParentStart'} else if (_.get(this.object, \"startMode\") == 'offsetFromParentEnd') {\n  this.result = '-ParentEnd'}\n",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"controls_if\" id=\"z)2k{E*9Ei486.Mh7UI0\" x=\"-350\" y=\"-450\"><mutation elseif=\"1\"></mutation><value name=\"IF0\"><block type=\"logic_compare\" id=\"Q-qmGYWTbN^^^4u?A3U$\"><field name=\"OP\">EQ</field><value name=\"A\"><block type=\"transform_input\" id=\"n*v#{D}|oX4}B4)zvHNB\"><field name=\"INPUT\">startMode</field></block></value><value name=\"B\"><block type=\"text\" id=\"+qObN5z[XK(Y[0trl*%]\"><field name=\"TEXT\">offsetFromParentStart</field></block></value></block></value><statement name=\"DO0\"><block type=\"transform_output\" id=\"[/9dd.eb,W65T`bed/!#\"><value name=\"OUTPUT\"><block type=\"text\" id=\"F={fV`NUA_({:*_}TiNA\"><field name=\"TEXT\">+ParentStart</field></block></value></block></statement><value name=\"IF1\"><block type=\"logic_compare\" id=\"3!r@ia[%`a}Q+rgNjmt1\"><field name=\"OP\">EQ</field><value name=\"A\"><block type=\"transform_input\" id=\"bnjDuUBl5fXoPuv;]Yim\"><field name=\"INPUT\">startMode</field></block></value><value name=\"B\"><block type=\"text\" id=\"?sd]nRM=ghwDNUJjtq!w\"><field name=\"TEXT\">offsetFromParentEnd</field></block></value></block></value><statement name=\"DO1\"><block type=\"transform_output\" id=\"bT2/tvTi%{x=5C:e}QCC\"><value name=\"OUTPUT\"><block type=\"text\" id=\"uvQ:vMic7IwLgOL$E/7V\"><field name=\"TEXT\">-ParentEnd</field></block></value></block></statement></block></xml>"
                    }
                },
                {
                    "path": "properties.schedule.@.startOffset",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"D5Bd9hk?2/Ayc2q^m(l2\" x=\"-110\" y=\"-310\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"~1rQA|BdZe[J^ETj_Q-K\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    },
                    "valueScript": {
                        "code": "this.result = BDuration.fromJson(_.get(this.object, \"startOffset\"))",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"Do`X0iPCO!}[D~BSQ!Z|\" x=\"-150\" y=\"-490\"><value name=\"OUTPUT\"><block type=\"transform_input\" id=\"$dy=5h1hc53?Ni]qU/#%\"><field name=\"INPUT\">startOffset</field></block></value></block></xml>"
                    }
                },
                {
                    "path": "properties.mediaStream.cg.@.type",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"D5Bd9hk?2/Ayc2q^m(l2\" x=\"-110\" y=\"-310\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"~1rQA|BdZe[J^ETj_Q-K\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    },
                    "valueScript": {
                        "code": "this.result = 'Page'",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"~Hu?d%ui+1K~6KhvKBGG\" x=\"-210\" y=\"-570\"><value name=\"OUTPUT\"><block type=\"text\" id=\"CiR-38NGj6KB:?5!AwI+\"><field name=\"TEXT\">Page</field></block></value></block></xml>"
                    }
                },
                {
                    "path": "properties.media.@.mediaName",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"D5Bd9hk?2/Ayc2q^m(l2\" x=\"-110\" y=\"-310\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"~1rQA|BdZe[J^ETj_Q-K\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    },
                    "valueScript": {
                        "code": "this.result = _.get(this.object, \"page\")",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"Do`X0iPCO!}[D~BSQ!Z|\" x=\"-150\" y=\"-490\"><value name=\"OUTPUT\"><block type=\"transform_input\" id=\"$dy=5h1hc53?Ni]qU/#%\"><field name=\"INPUT\">page</field></block></value></block></xml>"
                    }
                },
                {
                    "path": "properties.media.@.mediaType",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"D5Bd9hk?2/Ayc2q^m(l2\" x=\"-110\" y=\"-310\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"~1rQA|BdZe[J^ETj_Q-K\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    },
                    "valueScript": {
                        "code": "this.result = 'mediaType'",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"~Hu?d%ui+1K~6KhvKBGG\" x=\"-210\" y=\"-570\"><value name=\"OUTPUT\"><block type=\"text\" id=\"CiR-38NGj6KB:?5!AwI+\"><field name=\"TEXT\">mediaType</field></block></value></block></xml>"
                    }
                }
            ]
        },
        "SecRecordEvent": {
            "type": "SecRecordEvent",
            "transformKind": "record",
            "order": 17,
            "includeScript": {
                "code": "this.result = (_.get(this.object, \"eventType\") == 'record')",
                "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\":{|]mhcWT#ApmcY%;xHK\" x=\"-250\" y=\"-170\"><value name=\"OUTPUT\"><block type=\"logic_compare\" id=\"LX1n2ZB]*a[@g;FP=ISq\"><field name=\"OP\">EQ</field><value name=\"A\"><block type=\"transform_input\" id=\"GygmG$zfq+V*_^N;]0oD\"><field name=\"INPUT\">eventType</field></block></value><value name=\"B\"><block type=\"text\" id=\"jR*muvXtD[ES,9:r=Gxu\"><field name=\"TEXT\">record</field></block></value></block></value></block></xml>"
            },
            "values": [
                {
                    "path": "@.type",
                    "includeScript": {
                        "code": "",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"></xml>"
                    },
                    "valueScript": {
                        "code": "this.result = 'SecRecordHD'",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"x;_ze|59Bth+q[CU8MJ@\" x=\"-150\" y=\"-130\"><value name=\"OUTPUT\"><block type=\"text\" id=\"vji2beFRMj]@YVB[kd.5\"><field name=\"TEXT\">SecRecordHD</field></block></value></block></xml>"
                    }
                },
                {
                    "path": "properties.schedule.@.startType",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": ""
                    },
                    "valueScript": {
                        "code": "this.result = '+ParentStart'",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"x;_ze|59Bth+q[CU8MJ@\" x=\"-149\" y=\"-129\"><value name=\"OUTPUT\"><block type=\"text\" id=\"vji2beFRMj]@YVB[kd.5\"><field name=\"TEXT\">+ParentStart</field></block></value></block></xml>"
                    }
                },
                {
                    "path": "properties.schedule.@.startOffset",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": ""
                    },
                    "valueScript": {
                        "code": "this.result = '00:00:00:00'",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"x;_ze|59Bth+q[CU8MJ@\" x=\"-149\" y=\"-129\"><value name=\"OUTPUT\"><block type=\"text\" id=\"vji2beFRMj]@YVB[kd.5\"><field name=\"TEXT\">00:00:00:00</field></block></value></block></xml>"
                    }
                },
                {
                    "path": "properties.schedule.@.endType",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": ""
                    },
                    "valueScript": {
                        "code": "this.result = '-ParentEnd'",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"x;_ze|59Bth+q[CU8MJ@\" x=\"-149\" y=\"-129\"><value name=\"OUTPUT\"><block type=\"text\" id=\"vji2beFRMj]@YVB[kd.5\"><field name=\"TEXT\">-ParentEnd</field></block></value></block></xml>"
                    }
                },
                {
                    "path": "properties.schedule.@.endOffset",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": ""
                    },
                    "valueScript": {
                        "code": "this.result = '00:00:00:00'",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"x;_ze|59Bth+q[CU8MJ@\" x=\"-149\" y=\"-129\"><value name=\"OUTPUT\"><block type=\"text\" id=\"vji2beFRMj]@YVB[kd.5\"><field name=\"TEXT\">00:00:00:00</field></block></value></block></xml>"
                    }
                },
                {
                    "path": "properties.mediaStream.video.@.type",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": ""
                    },
                    "valueScript": {
                        "code": "this.result = 'Record'",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"x;_ze|59Bth+q[CU8MJ@\" x=\"-149\" y=\"-129\"><value name=\"OUTPUT\"><block type=\"text\" id=\"vji2beFRMj]@YVB[kd.5\"><field name=\"TEXT\">Record</field></block></value></block></xml>"
                    }
                },
                {
                    "path": "properties.mediaStream.video.@.overwrite",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": ""
                    },
                    "valueScript": {
                        "code": "this.result = false",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"x;_ze|59Bth+q[CU8MJ@\" x=\"-149\" y=\"-129\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"2mYxh(s}C_cfsP]Z094=\"><field name=\"BOOL\">FALSE</field></block></value></block></xml>"
                    }
                },
                {
                    "path": "properties.mediaStream.video.@.recordInstanceSOMType",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": ""
                    },
                    "valueScript": {
                        "code": "this.result = 'ZeroSOM'",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"x;_ze|59Bth+q[CU8MJ@\" x=\"-149\" y=\"-129\"><value name=\"OUTPUT\"><block type=\"text\" id=\"vji2beFRMj]@YVB[kd.5\"><field name=\"TEXT\">ZeroSOM</field></block></value></block></xml>"
                    }
                },
                {
                    "path": "properties.media.@.mediaName",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": ""
                    },
                    "valueScript": {
                        "code": "this.result = _.get(this.object, \"materialId\")",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"T-X{OSqfnz3=2cr9[P/I\" x=\"-90\" y=\"-170\"><value name=\"OUTPUT\"><block type=\"transform_input\" id=\"[H~AWkN;SY;sM1kOi5,n\"><field name=\"INPUT\">materialId</field></block></value></block></xml>"
                    }
                },
                {
                    "path": "properties.media.@.mediaType",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": ""
                    },
                    "valueScript": {
                        "code": "this.result = 'Video'",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"x;_ze|59Bth+q[CU8MJ@\" x=\"-149\" y=\"-129\"><value name=\"OUTPUT\"><block type=\"text\" id=\"vji2beFRMj]@YVB[kd.5\"><field name=\"TEXT\">Video</field></block></value></block></xml>"
                    }
                },
                {
                    "path": "properties.auxData.@.archiveRBM",
                    "includeScript": {
                        "code": "this.result = _.has(this.object, [\"custom\", 'archiveRBM', \"value\"])",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"@zL1QN=pB,JU86EWu1DC\" x=\"-110\" y=\"-210\"><value name=\"OUTPUT\"><block type=\"transform_input_custom_exists\" id=\"P_n(%*H8xcK#;=~]BKsE\"><value name=\"CUSTOM\"><block type=\"text\" id=\"8nbboc_S%XJGG/HbQJf`\"><field name=\"TEXT\">archiveRBM</field></block></value></block></value></block></xml>"
                    },
                    "valueScript": {
                        "code": "this.result = _.get(this.object, [\"custom\", 'archiveRBM', \"value\"])",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"?_3ElIo8kt=90FTludil\" x=\"-130\" y=\"-110\"><value name=\"OUTPUT\"><block type=\"transform_input_custom\" id=\"i9xu;pYeV?o0pRX?]RvY\"><value name=\"CUSTOM\"><block type=\"text\" id=\"^y?BIIe1TwTLZuHq^.Av\"><field name=\"TEXT\">archiveRBM</field></block></value></block></value></block></xml>"
                    }
                },
                {
                    "path": "properties.auxData.@.sendTVT",
                    "includeScript": {
                        "code": "this.result = _.has(this.object, [\"custom\", 'sendTVT', \"value\"])",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"@zL1QN=pB,JU86EWu1DC\" x=\"-109\" y=\"-210\"><value name=\"OUTPUT\"><block type=\"transform_input_custom_exists\" id=\"P_n(%*H8xcK#;=~]BKsE\"><value name=\"CUSTOM\"><block type=\"text\" id=\"8nbboc_S%XJGG/HbQJf`\"><field name=\"TEXT\">sendTVT</field></block></value></block></value></block></xml>"
                    },
                    "valueScript": {
                        "code": "this.result = _.get(this.object, [\"custom\", 'sendTVT', \"value\"])",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"?_3ElIo8kt=90FTludil\" x=\"-130\" y=\"-110\"><value name=\"OUTPUT\"><block type=\"transform_input_custom\" id=\"i9xu;pYeV?o0pRX?]RvY\"><value name=\"CUSTOM\"><block type=\"text\" id=\"^y?BIIe1TwTLZuHq^.Av\"><field name=\"TEXT\">sendTVT</field></block></value></block></value></block></xml>"
                    }
                },
                {
                    "path": "properties.auxData.@.expectedSegments",
                    "includeScript": {
                        "code": "this.result = _.has(this.object, [\"custom\", 'expectedSegments', \"value\"])",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"@zL1QN=pB,JU86EWu1DC\" x=\"-109\" y=\"-210\"><value name=\"OUTPUT\"><block type=\"transform_input_custom_exists\" id=\"P_n(%*H8xcK#;=~]BKsE\"><value name=\"CUSTOM\"><block type=\"text\" id=\"8nbboc_S%XJGG/HbQJf`\"><field name=\"TEXT\">expectedSegments</field></block></value></block></value></block></xml>"
                    },
                    "valueScript": {
                        "code": "this.result = _.get(this.object, [\"custom\", 'expectedSegments', \"value\"])",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"?_3ElIo8kt=90FTludil\" x=\"-130\" y=\"-110\"><value name=\"OUTPUT\"><block type=\"transform_input_custom\" id=\"i9xu;pYeV?o0pRX?]RvY\"><value name=\"CUSTOM\"><block type=\"text\" id=\"^y?BIIe1TwTLZuHq^.Av\"><field name=\"TEXT\">expectedSegments</field></block></value></block></value></block></xml>"
                    }
                }
            ]
        }
    }
};
