"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.nucleusManifest = void 0;
exports.nucleusManifest = {
    id: "Nucleus",
    description: "Make Nucleus playlists",
    exportFormat: {
        type: 'json'
    },
    transformations: {
        "Playlist": {
            "type": "Playlist",
            "topLevel": true,
            "order": 1,
            "transformKind": "playlist",
            "includeScript": {
                "code": "this.result = true",
                "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"s1o{G2oKfSfBPY-AgzAh\" x=\"-190\" y=\"-390\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"tA)!RV5P4-(yduH4q$sT\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
            },
            "values": [
                {
                    "path": "Client",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"jqZ,hk,XB]mqi(:~H}Y2\" x=\"-150\" y=\"-270\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"pd=WaZXYCNrcv#fgOC]}\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    }
                },
                {
                    "path": "Channel",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"jqZ,hk,XB]mqi(:~H}Y2\" x=\"-150\" y=\"-270\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"pd=WaZXYCNrcv#fgOC]}\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    }
                },
                {
                    "path": "RequestId",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"jqZ,hk,XB]mqi(:~H}Y2\" x=\"-150\" y=\"-270\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"pd=WaZXYCNrcv#fgOC]}\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    }
                },
                {
                    "path": "Version",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"jqZ,hk,XB]mqi(:~H}Y2\" x=\"-150\" y=\"-270\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"pd=WaZXYCNrcv#fgOC]}\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    }
                },
                {
                    "path": "BroadcastDate",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"jqZ,hk,XB]mqi(:~H}Y2\" x=\"-150\" y=\"-270\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"pd=WaZXYCNrcv#fgOC]}\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    }
                },
                {
                    "path": "RequestType",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"jqZ,hk,XB]mqi(:~H}Y2\" x=\"-150\" y=\"-270\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"pd=WaZXYCNrcv#fgOC]}\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    }
                },
                {
                    "path": "Events",
                    "children": {
                        "ids": [
                            "events"
                        ],
                        "source": "events",
                        "destination": "Events"
                    },
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"jqZ,hk,XB]mqi(:~H}Y2\" x=\"-150\" y=\"-270\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"pd=WaZXYCNrcv#fgOC]}\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    }
                }
            ]
        },
        "Event": {
            "type": "Event",
            "order": 2,
            "transformKind": "play",
            "includeScript": {
                "code": "this.result = true",
                "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"s1o{G2oKfSfBPY-AgzAh\" x=\"-190\" y=\"-390\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"tA)!RV5P4-(yduH4q$sT\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
            },
            "values": [
                {
                    "path": "MaterialID",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"jqZ,hk,XB]mqi(:~H}Y2\" x=\"-150\" y=\"-270\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"pd=WaZXYCNrcv#fgOC]}\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    }
                },
                {
                    "path": "Title",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"jqZ,hk,XB]mqi(:~H}Y2\" x=\"-150\" y=\"-270\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"pd=WaZXYCNrcv#fgOC]}\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    }
                },
                {
                    "path": "TimeRequired",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"jqZ,hk,XB]mqi(:~H}Y2\" x=\"-150\" y=\"-270\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"pd=WaZXYCNrcv#fgOC]}\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    }
                },
                {
                    "path": "Duration",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"jqZ,hk,XB]mqi(:~H}Y2\" x=\"-150\" y=\"-270\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"pd=WaZXYCNrcv#fgOC]}\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    }
                },
                {
                    "path": "MediaType",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"jqZ,hk,XB]mqi(:~H}Y2\" x=\"-150\" y=\"-270\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"pd=WaZXYCNrcv#fgOC]}\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    }
                },
                {
                    "path": "MediaSource",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"jqZ,hk,XB]mqi(:~H}Y2\" x=\"-150\" y=\"-270\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"pd=WaZXYCNrcv#fgOC]}\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    }
                },
                {
                    "path": "RequestContentType",
                    "includeScript": {
                        "code": "this.result = true",
                        "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"jqZ,hk,XB]mqi(:~H}Y2\" x=\"-150\" y=\"-270\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"pd=WaZXYCNrcv#fgOC]}\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                    }
                }
            ]
        }
    }
};
