"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.transformManifests = void 0;
const _ = require("lodash");
const marina_1 = require("./marina");
const deko_1 = require("./deko");
const nucleus_1 = require("./nucleus");
const commonMetadata = {
    "Metadata": {
        "type": "Metadata",
        "transformKind": "metadata",
        "values": [
            {
                "path": "outputname",
                "includeScript": {
                    "code": "this.result = true",
                    "block": "<xml xmlns=\"http://www.w3.org/1999/xhtml\"><block type=\"transform_output\" id=\"s1o{G2oKfSfBPY-AgzAh\" x=\"-190\" y=\"-390\"><value name=\"OUTPUT\"><block type=\"logic_boolean\" id=\"tA)!RV5P4-(yduH4q$sT\"><field name=\"BOOL\">TRUE</field></block></value></block></xml>"
                }
            }
        ]
    }
};
function addCommonMetadata(manifest) {
    manifest.transformations = _.merge(manifest.transformations, commonMetadata);
    return manifest;
}
exports.transformManifests = _.mapValues({
    "Marina": marina_1.marinaManifest,
    "Deko": deko_1.dekoManifest,
    "Nucleus": nucleus_1.nucleusManifest
}, (manifest) => {
    return addCommonMetadata(manifest);
});
