"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Uploader = void 0;
const huge_uploader_1 = require("huge-uploader");
const selector_1 = require("../selector");
class Uploader {
    static getInstance() {
        if (!this.instance) {
            this.instance = new Uploader();
        }
        return this.instance;
    }
    upload(file, options) {
        const hugeUploader = new huge_uploader_1.default({
            endpoint: `fileUpload/`,
            file,
            postParams: {
                fileName: file.name,
            },
            headers: {
                'x-busby-session': selector_1.SelectorOperations?.get?.()?.getSessionId?.() ?? ""
            }
        });
        if (options?.progress) {
            hugeUploader.on("progress", (params) => {
                options.progress(params.detail);
            });
        }
        if (options?.error) {
            hugeUploader.on("error", (params) => {
                options.error({ message: params.detail });
            });
        }
        if (options?.finish) {
            hugeUploader.on("finish", options.finish);
        }
    }
}
exports.Uploader = Uploader;
