"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.run = void 0;
const esb_1 = require("@busby/esb");
const vscode = require("vscode");
const os = require("os");
async function run(context, location = vscode.TerminalLocation.Panel, tool, name, params) {
    try {
        const terminal = vscode.window.createTerminal({
            name,
            shellPath: os.platform() === "win32" ? process.env.ComSpec || process.env.COMSPEC : '/usr/bin/env',
            shellArgs: (os.platform() === "win32" ? ['/c'] : [])
                .concat([
                'node',
                vscode.Uri.joinPath(context.extensionUri, '/out/esbTools/', `${tool}.js`).fsPath,
                ...params
            ]),
            cwd: context.extensionPath,
            location,
            env: {
                ...process.env,
                // eslint-disable-next-line @typescript-eslint/naming-convention
                USER_MODE: "local"
            }
        });
        terminal.show(false);
        return terminal;
    }
    catch (err) {
        esb_1.Log.logError("Failed", err);
    }
}
exports.run = run;
//# sourceMappingURL=run.js.map