"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.cli = void 0;
const esb_1 = require("@busby/esb");
const vscode = require("vscode");
const run_1 = require("../esbTools/run");
async function cli(context, location = vscode.TerminalLocation.Panel) {
    const core = await vscode.commands.executeCommand("squaredpaper.pickBusbyCore");
    const provider = await vscode.commands.executeCommand("squaredpaper.pickProvider", { connect: true });
    if (!provider) {
        return;
    }
    try {
        await (0, run_1.run)(context, location, "esbCli", `${core} ${provider}`, ['-r', core, provider]);
    }
    catch (err) {
        esb_1.Log.logError("Failed", err);
    }
}
exports.cli = cli;
//# sourceMappingURL=cli.js.map