"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.shellWs = void 0;
const node_1 = require("@busby/esb/node");
const vscode = require("vscode");
const run_1 = require("../esbTools/run");
async function shellWs(context, location = vscode.TerminalLocation.Panel) {
    const core = await vscode.commands.executeCommand("squaredpaper.pickBusbyUrl");
    const node = await vscode.commands.executeCommand("squaredpaper.pickBusbyNode");
    if (!core || !node) {
        return;
    }
    try {
        const terminal = await (0, run_1.run)(context, location, "esbShellWs", `${node} (${core})`, ['-r', core, node]);
        if (terminal) {
            terminal.show(false);
            node_1.Log.logError(terminal.exitStatus?.code + "");
            setTimeout(() => node_1.Log.logError(terminal.exitStatus?.code + ""), 1000);
        }
    }
    catch (err) {
        node_1.Log.logError("Failed", err);
    }
}
exports.shellWs = shellWs;
//# sourceMappingURL=shellWs.js.map