"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.subscriber = void 0;
const esb_1 = require("@busby/esb");
const vscode = require("vscode");
const run_1 = require("../esbTools/run");
async function subscriber(context, location = vscode.TerminalLocation.Panel) {
    const core = await vscode.commands.executeCommand("squaredpaper.pickBusbyCore");
    const service = await vscode.commands.executeCommand("squaredpaper.pickService");
    if (!core || !service) {
        return;
    }
    try {
        const terminal = await (0, run_1.run)(context, location, "esbSubscriber", `${core} ${service}`, ['-r', core, service]);
        if (terminal) {
            terminal.show(false);
            esb_1.Log.logError(terminal.exitStatus?.code + "");
            setTimeout(() => esb_1.Log.logError(terminal.exitStatus?.code + ""), 1000);
        }
    }
    catch (err) {
        esb_1.Log.logError("Failed", err);
    }
}
exports.subscriber = subscriber;
//# sourceMappingURL=subscriber.js.map