"use strict";
/* --------------------------------------------------------------------------------------------
 * Copyright (c) Jan Dolejsi. All rights reserved.
 * Licensed under the MIT License. See License.txt in the project root for license information.
 * ------------------------------------------------------------------------------------------ */
Object.defineProperty(exports, "__esModule", { value: true });
exports.dir = exports.file = void 0;
const tmp = require("tmp");
async function file(mode, prefix, postfix) {
    return new Promise((resolve, reject) => {
        tmp.file({ mode: mode, prefix: prefix, postfix: postfix }, (err, path, fd) => {
            if (err) {
                reject(err);
            }
            else {
                resolve({ path: path, fd: fd });
            }
        });
    });
}
exports.file = file;
async function dir(mode, prefix, postfix) {
    return new Promise((resolve, reject) => {
        tmp.dir({ mode: mode, prefix: prefix, postfix: postfix }, (err, path) => {
            if (err) {
                reject(err);
            }
            else {
                resolve(path);
            }
        });
    });
}
exports.dir = dir;
//# sourceMappingURL=asynctmp.js.map